import{r as react,j as jsxRuntime,T as gqlIntrospection,S as baseGraphQLApi,W as isEqual_1,a3 as baseGraphQLApiWithError,e5 as introspection}from"./js-core.esm.js";import{m as makeStyles,h as FormControl,U as Select,F as FormattedMessage,V as MenuItem}from"./js-core.esm4.js";import{x as validate,b as Stack,g as Tooltip,o as generateState}from"./js-core.esm5.js";import{u as useDispatch}from"./js-core.esm6.js";var match,version,set,get,store,STATE,activeXDocument,EApplicationAction,EEngineStateAction,EDataSchemaAction,EApplicationStatus,EApplicationFilterType,EEngineState,EEngineType,EEngineCertified,EEngineFilterType,EEngineDistributionType,EFlowTemplateFilterType,EPackageConfigLevel,EPackageConfigType,EPackageFilterType,EResourceTypeValue,ESchemaStatus,ESchemaFilterType,EDagTemplateFilterType,EDeploymentModel,commonjsGlobal="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},check=function(e){return e&&e.Math===Math&&e},global$f=check("object"==typeof globalThis&&globalThis)||check("object"==typeof window&&window)||check("object"==typeof self&&self)||check("object"==typeof commonjsGlobal&&commonjsGlobal)||check("object"==typeof commonjsGlobal&&commonjsGlobal)||function(){return this}()||Function("return this")(),objectGetOwnPropertyDescriptor={},fails$k=function(e){try{return!!e()}catch(e){return!0}},fails$j=fails$k,descriptors=!fails$k(function(){return 7!==Object.defineProperty({},1,{get:function(){return 7}})[1]}),fails$i=fails$k,functionBindNative=!fails$k(function(){var e=function(){}.bind();return"function"!=typeof e||e.hasOwnProperty("prototype")}),NATIVE_BIND$2=functionBindNative,call$c=Function.prototype.call,functionCall=NATIVE_BIND$2?call$c.bind(call$c):function(){return call$c.apply(call$c,arguments)},objectPropertyIsEnumerable={},$propertyIsEnumerable={}.propertyIsEnumerable,getOwnPropertyDescriptor$1=Object.getOwnPropertyDescriptor,NASHORN_BUG=getOwnPropertyDescriptor$1&&!$propertyIsEnumerable.call({1:2},1),createPropertyDescriptor$3=(objectPropertyIsEnumerable.f=NASHORN_BUG?function(e){e=getOwnPropertyDescriptor$1(this,e);return!!e&&e.enumerable}:$propertyIsEnumerable,function(e,t){return{enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}}),NATIVE_BIND$1=functionBindNative,FunctionPrototype$2=Function.prototype,call$b=FunctionPrototype$2.call,uncurryThisWithBind=NATIVE_BIND$1&&FunctionPrototype$2.bind.bind(call$b,call$b),functionUncurryThis=NATIVE_BIND$1?uncurryThisWithBind:function(e){return function(){return call$b.apply(e,arguments)}},uncurryThis$f=functionUncurryThis,toString$6=uncurryThis$f({}.toString),stringSlice$5=uncurryThis$f("".slice),classofRaw$1=function(e){return stringSlice$5(toString$6(e),8,-1)},uncurryThis$e=functionUncurryThis,fails$h=fails$k,classof$4=classofRaw$1,$Object$4=Object,split=functionUncurryThis("".split),indexedObject=fails$h(function(){return!$Object$4("z").propertyIsEnumerable(0)})?function(e){return"String"===classof$4(e)?split(e,""):$Object$4(e)}:$Object$4,isNullOrUndefined$3=function(e){return null==e},isNullOrUndefined$2=isNullOrUndefined$3,$TypeError$8=TypeError,requireObjectCoercible$6=function(e){if(isNullOrUndefined$2(e))throw new $TypeError$8("Can't call method on "+e);return e},IndexedObject$2=indexedObject,requireObjectCoercible$5=requireObjectCoercible$6,toIndexedObject$5=function(e){return IndexedObject$2(requireObjectCoercible$5(e))},documentAll="object"==typeof document&&document.all,isCallable$g=void 0===documentAll&&void 0!==documentAll?function(e){return"function"==typeof e||e===documentAll}:function(e){return"function"==typeof e},isCallable$f=isCallable$g,isObject$8=function(e){return"object"==typeof e?null!==e:isCallable$f(e)},global$e=global$f,isCallable$e=isCallable$g,aFunction=function(e){return isCallable$e(e)?e:void 0},getBuiltIn$3=function(e,t){return arguments.length<2?aFunction(global$e[e]):global$e[e]&&global$e[e][t]},uncurryThis$d=functionUncurryThis,objectIsPrototypeOf=functionUncurryThis({}.isPrototypeOf),engineUserAgent="undefined"!=typeof navigator&&String(navigator.userAgent)||"",global$d=global$f,userAgent=engineUserAgent,process=global$d.process,Deno=global$d.Deno,versions=process&&process.versions||Deno&&Deno.version,v8=versions&&versions.v8,engineV8Version=version=!(version=v8?0<(match=v8.split("."))[0]&&match[0]<4?1:+(match[0]+match[1]):version)&&userAgent&&(!(match=userAgent.match(/Edge\/(\d+)/))||74<=match[1])&&(match=userAgent.match(/Chrome\/(\d+)/))?+match[1]:version,V8_VERSION=engineV8Version,fails$g=fails$k,global$c=global$f,$String$5=global$f.String,symbolConstructorDetection=!!Object.getOwnPropertySymbols&&!fails$g(function(){var e=Symbol("symbol detection");return!$String$5(e)||!(Object(e)instanceof Symbol)||!Symbol.sham&&V8_VERSION&&V8_VERSION<41}),NATIVE_SYMBOL$1=symbolConstructorDetection,useSymbolAsUid=symbolConstructorDetection&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,getBuiltIn$2=getBuiltIn$3,isCallable$d=isCallable$g,isPrototypeOf$1=objectIsPrototypeOf,USE_SYMBOL_AS_UID$1=useSymbolAsUid,$Object$3=Object,isSymbol$2=useSymbolAsUid?function(e){return"symbol"==typeof e}:function(e){var t=getBuiltIn$2("Symbol");return isCallable$d(t)&&isPrototypeOf$1(t.prototype,$Object$3(e))},$String$4=String,tryToString$1=function(e){try{return $String$4(e)}catch(e){return"Object"}},isCallable$c=isCallable$g,tryToString=tryToString$1,$TypeError$7=TypeError,aCallable$3=function(e){if(isCallable$c(e))return e;throw new $TypeError$7(tryToString(e)+" is not a function")},aCallable$2=aCallable$3,isNullOrUndefined$1=isNullOrUndefined$3,getMethod$2=function(e,t){e=e[t];return isNullOrUndefined$1(e)?void 0:aCallable$2(e)},call$a=functionCall,isCallable$b=isCallable$g,isObject$7=isObject$8,$TypeError$6=TypeError,ordinaryToPrimitive$1=function(e,t){var r,n;if("string"===t&&isCallable$b(r=e.toString)&&!isObject$7(n=call$a(r,e)))return n;if(isCallable$b(r=e.valueOf)&&!isObject$7(n=call$a(r,e)))return n;if("string"!==t&&isCallable$b(r=e.toString)&&!isObject$7(n=call$a(r,e)))return n;throw new $TypeError$6("Can't convert object to primitive value")},sharedStore={exports:{}},global$b=global$f,defineProperty$5=Object.defineProperty,defineGlobalProperty$3=function(t,r){try{defineProperty$5(global$b,t,{value:r,configurable:!0,writable:!0})}catch(e){global$b[t]=r}return r},globalThis$1=global$f,defineGlobalProperty$2=defineGlobalProperty$3,SHARED="__core-js_shared__",store$3=sharedStore.exports=globalThis$1[SHARED]||defineGlobalProperty$2(SHARED,{}),store$2=((store$3.versions||(store$3.versions=[])).push({version:"3.37.0",mode:"global",copyright:"© 2014-2024 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.37.0/LICENSE",source:"https://github.com/zloirock/core-js"}),sharedStore.exports),shared$4=function(e,t){return store$2[e]||(store$2[e]=t||{})},requireObjectCoercible$4=requireObjectCoercible$6,$Object$2=Object,toObject$5=function(e){return $Object$2(requireObjectCoercible$4(e))},uncurryThis$c=functionUncurryThis,toObject$4=toObject$5,hasOwnProperty=functionUncurryThis({}.hasOwnProperty),hasOwnProperty_1=Object.hasOwn||function(e,t){return hasOwnProperty(toObject$4(e),t)},uncurryThis$b=functionUncurryThis,id=0,postfix=Math.random(),toString$5=uncurryThis$b(1..toString),uid$2=function(e){return"Symbol("+(void 0===e?"":e)+")_"+toString$5(++id+postfix,36)},global$a=global$f,shared$3=shared$4,hasOwn$9=hasOwnProperty_1,uid$1=uid$2,NATIVE_SYMBOL=symbolConstructorDetection,USE_SYMBOL_AS_UID=useSymbolAsUid,Symbol$1=global$f.Symbol,WellKnownSymbolsStore=shared$3("wks"),createWellKnownSymbol=USE_SYMBOL_AS_UID?Symbol$1.for||Symbol$1:Symbol$1&&Symbol$1.withoutSetter||uid$1,wellKnownSymbol$a=function(e){return hasOwn$9(WellKnownSymbolsStore,e)||(WellKnownSymbolsStore[e]=NATIVE_SYMBOL&&hasOwn$9(Symbol$1,e)?Symbol$1[e]:createWellKnownSymbol("Symbol."+e)),WellKnownSymbolsStore[e]},call$9=functionCall,isObject$6=isObject$8,isSymbol$1=isSymbol$2,getMethod$1=getMethod$2,ordinaryToPrimitive=ordinaryToPrimitive$1,wellKnownSymbol$9=wellKnownSymbol$a,$TypeError$5=TypeError,TO_PRIMITIVE=wellKnownSymbol$a("toPrimitive"),toPrimitive$1=function(e,t){if(!isObject$6(e)||isSymbol$1(e))return e;var r=getMethod$1(e,TO_PRIMITIVE);if(r){if(r=call$9(r,e,t=void 0===t?"default":t),!isObject$6(r)||isSymbol$1(r))return r;throw new $TypeError$5("Can't convert object to primitive value")}return ordinaryToPrimitive(e,t=void 0===t?"number":t)},toPrimitive=toPrimitive$1,isSymbol=isSymbol$2,toPropertyKey$2=function(e){e=toPrimitive(e,"string");return isSymbol(e)?e:e+""},global$9=global$f,isObject$5=isObject$8,document$1=global$f.document,EXISTS$1=isObject$5(document$1)&&isObject$5(document$1.createElement),documentCreateElement$2=function(e){return EXISTS$1?document$1.createElement(e):{}},DESCRIPTORS$9=descriptors,fails$f=fails$k,createElement=documentCreateElement$2,ie8DomDefine=!descriptors&&!fails$k(function(){return 7!==Object.defineProperty(createElement("div"),"a",{get:function(){return 7}}).a}),DESCRIPTORS$8=descriptors,call$8=functionCall,propertyIsEnumerableModule$1=objectPropertyIsEnumerable,createPropertyDescriptor$2=createPropertyDescriptor$3,toIndexedObject$4=toIndexedObject$5,toPropertyKey$1=toPropertyKey$2,hasOwn$8=hasOwnProperty_1,IE8_DOM_DEFINE$1=ie8DomDefine,$getOwnPropertyDescriptor$1=Object.getOwnPropertyDescriptor,objectDefineProperty=(objectGetOwnPropertyDescriptor.f=DESCRIPTORS$8?$getOwnPropertyDescriptor$1:function(e,t){if(e=toIndexedObject$4(e),t=toPropertyKey$1(t),IE8_DOM_DEFINE$1)try{return $getOwnPropertyDescriptor$1(e,t)}catch(e){}if(hasOwn$8(e,t))return createPropertyDescriptor$2(!call$8(propertyIsEnumerableModule$1.f,e,t),e[t])},{}),DESCRIPTORS$7=descriptors,fails$e=fails$k,v8PrototypeDefineBug=descriptors&&fails$k(function(){return 42!==Object.defineProperty(function(){},"prototype",{value:42,writable:!1}).prototype}),isObject$4=isObject$8,$String$3=String,$TypeError$4=TypeError,anObject$8=function(e){if(isObject$4(e))return e;throw new $TypeError$4($String$3(e)+" is not an object")},DESCRIPTORS$6=descriptors,IE8_DOM_DEFINE=ie8DomDefine,V8_PROTOTYPE_DEFINE_BUG$1=v8PrototypeDefineBug,anObject$7=anObject$8,toPropertyKey=toPropertyKey$2,$TypeError$3=TypeError,$defineProperty=Object.defineProperty,$getOwnPropertyDescriptor=Object.getOwnPropertyDescriptor,ENUMERABLE="enumerable",CONFIGURABLE$1="configurable",WRITABLE="writable",DESCRIPTORS$5=(objectDefineProperty.f=DESCRIPTORS$6?V8_PROTOTYPE_DEFINE_BUG$1?function(e,t,r){var n;return anObject$7(e),t=toPropertyKey(t),anObject$7(r),"function"==typeof e&&"prototype"===t&&"value"in r&&WRITABLE in r&&!r[WRITABLE]&&(n=$getOwnPropertyDescriptor(e,t))&&n[WRITABLE]&&(e[t]=r.value,r={configurable:(CONFIGURABLE$1 in r?r:n)[CONFIGURABLE$1],enumerable:(ENUMERABLE in r?r:n)[ENUMERABLE],writable:!1}),$defineProperty(e,t,r)}:$defineProperty:function(e,t,r){if(anObject$7(e),t=toPropertyKey(t),anObject$7(r),IE8_DOM_DEFINE)try{return $defineProperty(e,t,r)}catch(e){}if("get"in r||"set"in r)throw new $TypeError$3("Accessors not supported");return"value"in r&&(e[t]=r.value),e},descriptors),definePropertyModule$3=objectDefineProperty,createPropertyDescriptor$1=createPropertyDescriptor$3,createNonEnumerableProperty$5=DESCRIPTORS$5?function(e,t,r){return definePropertyModule$3.f(e,t,createPropertyDescriptor$1(1,r))}:function(e,t,r){return e[t]=r,e},makeBuiltIn$2={exports:{}},DESCRIPTORS$4=descriptors,hasOwn$7=hasOwnProperty_1,FunctionPrototype$1=Function.prototype,getDescriptor=DESCRIPTORS$4&&Object.getOwnPropertyDescriptor,EXISTS=hasOwn$7(FunctionPrototype$1,"name"),PROPER=EXISTS&&"something"===function(){}.name,CONFIGURABLE=EXISTS&&(!DESCRIPTORS$4||getDescriptor(FunctionPrototype$1,"name").configurable),functionName={EXISTS:EXISTS,PROPER:PROPER,CONFIGURABLE:CONFIGURABLE},uncurryThis$a=functionUncurryThis,isCallable$a=isCallable$g,store$1=sharedStore.exports,functionToString=uncurryThis$a(Function.toString),inspectSource$1=(isCallable$a(store$1.inspectSource)||(store$1.inspectSource=function(e){return functionToString(e)}),store$1.inspectSource),global$8=global$f,isCallable$9=isCallable$g,WeakMap$1=global$f.WeakMap,weakMapBasicDetection=isCallable$9(WeakMap$1)&&/native code/.test(String(WeakMap$1)),shared$2=shared$4,uid=uid$2,keys=shared$4("keys"),sharedKey$3=function(e){return keys[e]||(keys[e]=uid(e))},hiddenKeys$4={},NATIVE_WEAK_MAP=weakMapBasicDetection,global$7=global$f,isObject$3=isObject$8,createNonEnumerableProperty$4=createNonEnumerableProperty$5,hasOwn$6=hasOwnProperty_1,shared$1=sharedStore.exports,sharedKey$2=sharedKey$3,hiddenKeys$3=hiddenKeys$4,OBJECT_ALREADY_INITIALIZED="Object already initialized",TypeError$1=global$7.TypeError,WeakMap=global$7.WeakMap,enforce=function(e){return has(e)?get(e):set(e,{})},getterFor=function(t){return function(e){if(isObject$3(e)&&(e=get(e)).type===t)return e;throw new TypeError$1("Incompatible receiver, "+t+" required")}},has=NATIVE_WEAK_MAP||shared$1.state?((store=shared$1.state||(shared$1.state=new WeakMap)).get=store.get,store.has=store.has,store.set=store.set,set=function(e,t){if(store.has(e))throw new TypeError$1(OBJECT_ALREADY_INITIALIZED);return t.facade=e,store.set(e,t),t},get=function(e){return store.get(e)||{}},function(e){return store.has(e)}):(STATE=sharedKey$2("state"),hiddenKeys$3[STATE]=!0,set=function(e,t){if(hasOwn$6(e,STATE))throw new TypeError$1(OBJECT_ALREADY_INITIALIZED);return t.facade=e,createNonEnumerableProperty$4(e,STATE,t),t},get=function(e){return hasOwn$6(e,STATE)?e[STATE]:{}},function(e){return hasOwn$6(e,STATE)}),internalState={set:set,get:get,has:has,enforce:enforce,getterFor:getterFor},uncurryThis$9=functionUncurryThis,fails$d=fails$k,isCallable$8=isCallable$g,hasOwn$5=hasOwnProperty_1,DESCRIPTORS$3=descriptors,CONFIGURABLE_FUNCTION_NAME$1=functionName.CONFIGURABLE,inspectSource=inspectSource$1,InternalStateModule$1=internalState,enforceInternalState=InternalStateModule$1.enforce,getInternalState$2=InternalStateModule$1.get,$String$2=String,defineProperty$4=Object.defineProperty,stringSlice$4=uncurryThis$9("".slice),replace$3=uncurryThis$9("".replace),join=uncurryThis$9([].join),CONFIGURABLE_LENGTH=DESCRIPTORS$3&&!fails$d(function(){return 8!==defineProperty$4(function(){},"length",{value:8}).length}),TEMPLATE=String(String).split("String"),makeBuiltIn$1=makeBuiltIn$2.exports=function(e,t,r){"Symbol("===stringSlice$4($String$2(t),0,7)&&(t="["+replace$3($String$2(t),/^Symbol\(([^)]*)\).*$/,"$1")+"]"),r&&r.getter&&(t="get "+t),r&&r.setter&&(t="set "+t),(!hasOwn$5(e,"name")||CONFIGURABLE_FUNCTION_NAME$1&&e.name!==t)&&(DESCRIPTORS$3?defineProperty$4(e,"name",{value:t,configurable:!0}):e.name=t),CONFIGURABLE_LENGTH&&r&&hasOwn$5(r,"arity")&&e.length!==r.arity&&defineProperty$4(e,"length",{value:r.arity});try{r&&hasOwn$5(r,"constructor")&&r.constructor?DESCRIPTORS$3&&defineProperty$4(e,"prototype",{writable:!1}):e.prototype&&(e.prototype=void 0)}catch(e){}r=enforceInternalState(e);return hasOwn$5(r,"source")||(r.source=join(TEMPLATE,"string"==typeof t?t:"")),e},isCallable$7=(Function.prototype.toString=makeBuiltIn$1(function(){return isCallable$8(this)&&getInternalState$2(this).source||inspectSource(this)},"toString"),isCallable$g),definePropertyModule$2=objectDefineProperty,makeBuiltIn=makeBuiltIn$2.exports,defineGlobalProperty$1=defineGlobalProperty$3,defineBuiltIn$5=function(e,t,r,n){var a=(n=n||{}).enumerable,o=void 0!==n.name?n.name:t;if(isCallable$7(r)&&makeBuiltIn(r,o,n),n.global)a?e[t]=r:defineGlobalProperty$1(t,r);else{try{n.unsafe?e[t]&&(a=!0):delete e[t]}catch(e){}a?e[t]=r:definePropertyModule$2.f(e,t,{value:r,enumerable:!1,configurable:!n.nonConfigurable,writable:!n.nonWritable})}return e},objectGetOwnPropertyNames={},ceil=Math.ceil,floor$1=Math.floor,mathTrunc=Math.trunc||function(e){e=+e;return(0<e?floor$1:ceil)(e)},trunc=mathTrunc,toIntegerOrInfinity$4=function(e){e=+e;return e!=e||0==e?0:trunc(e)},toIntegerOrInfinity$3=toIntegerOrInfinity$4,max$1=Math.max,min$2=Math.min,toAbsoluteIndex$1=function(e,t){e=toIntegerOrInfinity$3(e);return e<0?max$1(e+t,0):min$2(e,t)},toIntegerOrInfinity$2=toIntegerOrInfinity$4,min$1=Math.min,toLength$2=function(e){e=toIntegerOrInfinity$2(e);return 0<e?min$1(e,9007199254740991):0},toLength$1=toLength$2,lengthOfArrayLike$2=function(e){return toLength$1(e.length)},toIndexedObject$3=toIndexedObject$5,toAbsoluteIndex=toAbsoluteIndex$1,lengthOfArrayLike$1=lengthOfArrayLike$2,createMethod$3=function(s){return function(e,t,r){var n=toIndexedObject$3(e),a=lengthOfArrayLike$1(n);if(0!==a){var o,i=toAbsoluteIndex(r,a);if(s&&t!=t){for(;i<a;)if((o=n[i++])!=o)return!0}else for(;i<a;i++)if((s||i in n)&&n[i]===t)return s||i||0}return!s&&-1}},arrayIncludes={includes:createMethod$3(!0),indexOf:createMethod$3(!1)},uncurryThis$8=functionUncurryThis,hasOwn$4=hasOwnProperty_1,toIndexedObject$2=toIndexedObject$5,indexOf$1=arrayIncludes.indexOf,hiddenKeys$2=hiddenKeys$4,push$1=uncurryThis$8([].push),objectKeysInternal=function(e,t){var r,n=toIndexedObject$2(e),a=0,o=[];for(r in n)!hasOwn$4(hiddenKeys$2,r)&&hasOwn$4(n,r)&&push$1(o,r);for(;t.length>a;)!hasOwn$4(n,r=t[a++])||~indexOf$1(o,r)||push$1(o,r);return o},enumBugKeys$3=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],internalObjectKeys$1=objectKeysInternal,enumBugKeys$2=enumBugKeys$3,hiddenKeys$1=enumBugKeys$3.concat("length","prototype"),objectGetOwnPropertySymbols=(objectGetOwnPropertyNames.f=Object.getOwnPropertyNames||function(e){return internalObjectKeys$1(e,hiddenKeys$1)},{}),getBuiltIn$1=(objectGetOwnPropertySymbols.f=Object.getOwnPropertySymbols,getBuiltIn$3),uncurryThis$7=functionUncurryThis,getOwnPropertyNamesModule=objectGetOwnPropertyNames,getOwnPropertySymbolsModule$1=objectGetOwnPropertySymbols,anObject$6=anObject$8,concat$2=functionUncurryThis([].concat),ownKeys$1=getBuiltIn$1("Reflect","ownKeys")||function(e){var t=getOwnPropertyNamesModule.f(anObject$6(e)),r=getOwnPropertySymbolsModule$1.f;return r?concat$2(t,r(e)):t},hasOwn$3=hasOwnProperty_1,ownKeys=ownKeys$1,getOwnPropertyDescriptorModule=objectGetOwnPropertyDescriptor,definePropertyModule$1=objectDefineProperty,copyConstructorProperties$1=function(e,t,r){for(var n=ownKeys(t),a=definePropertyModule$1.f,o=getOwnPropertyDescriptorModule.f,i=0;i<n.length;i++){var s=n[i];hasOwn$3(e,s)||r&&hasOwn$3(r,s)||a(e,s,o(t,s))}},fails$c=fails$k,isCallable$6=isCallable$g,replacement=/#|\.prototype\./,isForced$1=function(e,t){e=data[normalize(e)];return e===POLYFILL||e!==NATIVE&&(isCallable$6(t)?fails$c(t):!!t)},normalize=isForced$1.normalize=function(e){return String(e).replace(replacement,".").toLowerCase()},data=isForced$1.data={},NATIVE=isForced$1.NATIVE="N",POLYFILL=isForced$1.POLYFILL="P",isForced_1=isForced$1,global$6=global$f,getOwnPropertyDescriptor=objectGetOwnPropertyDescriptor.f,createNonEnumerableProperty$3=createNonEnumerableProperty$5,defineBuiltIn$4=defineBuiltIn$5,defineGlobalProperty=defineGlobalProperty$3,copyConstructorProperties=copyConstructorProperties$1,isForced=isForced_1,_export=function(e,t){var r,n,a,o=e.target,i=e.global,s=e.stat,l=i?global$6:s?global$6[o]||defineGlobalProperty(o,{}):global$6[o]&&global$6[o].prototype;if(l)for(r in t){if(n=t[r],a=e.dontCallGetSet?(a=getOwnPropertyDescriptor(l,r))&&a.value:l[r],!isForced(i?r:o+(s?".":"#")+r,e.forced)&&void 0!==a){if(typeof n==typeof a)continue;copyConstructorProperties(n,a)}(e.sham||a&&a.sham)&&createNonEnumerableProperty$3(n,"sham",!0),defineBuiltIn$4(l,r,n,e)}},objectDefineProperties={},internalObjectKeys=objectKeysInternal,enumBugKeys$1=enumBugKeys$3,objectKeys$2=Object.keys||function(e){return internalObjectKeys(e,enumBugKeys$1)},DESCRIPTORS$2=descriptors,V8_PROTOTYPE_DEFINE_BUG=v8PrototypeDefineBug,definePropertyModule=objectDefineProperty,anObject$5=anObject$8,toIndexedObject$1=toIndexedObject$5,objectKeys$1=objectKeys$2,getBuiltIn=(objectDefineProperties.f=DESCRIPTORS$2&&!V8_PROTOTYPE_DEFINE_BUG?Object.defineProperties:function(e,t){anObject$5(e);for(var r,n=toIndexedObject$1(t),a=objectKeys$1(t),o=a.length,i=0;i<o;)definePropertyModule.f(e,r=a[i++],n[r]);return e},getBuiltIn$3),html$1=getBuiltIn$3("document","documentElement"),anObject$4=anObject$8,definePropertiesModule=objectDefineProperties,enumBugKeys=enumBugKeys$3,hiddenKeys=hiddenKeys$4,html=html$1,documentCreateElement$1=documentCreateElement$2,sharedKey$1=sharedKey$3,GT=">",LT="<",PROTOTYPE="prototype",SCRIPT="script",IE_PROTO$1=sharedKey$3("IE_PROTO"),EmptyConstructor=function(){},scriptTag=function(e){return LT+SCRIPT+GT+e+LT+"/"+SCRIPT+GT},NullProtoObjectViaActiveX=function(e){e.write(scriptTag("")),e.close();var t=e.parentWindow.Object;return e=null,t},NullProtoObjectViaIFrame=function(){var e=documentCreateElement$1("iframe"),t="java"+SCRIPT+":";return e.style.display="none",html.appendChild(e),e.src=String(t),(t=e.contentWindow.document).open(),t.write(scriptTag("document.F=Object")),t.close(),t.F},NullProtoObject=function(){try{activeXDocument=new ActiveXObject("htmlfile")}catch(e){}NullProtoObject="undefined"==typeof document||document.domain&&activeXDocument?NullProtoObjectViaActiveX(activeXDocument):NullProtoObjectViaIFrame();for(var e=enumBugKeys.length;e--;)delete NullProtoObject[PROTOTYPE][enumBugKeys[e]];return NullProtoObject()},objectCreate=(hiddenKeys[IE_PROTO$1]=!0,Object.create||function(e,t){var r;return null!==e?(EmptyConstructor[PROTOTYPE]=anObject$4(e),r=new EmptyConstructor,EmptyConstructor[PROTOTYPE]=null,r[IE_PROTO$1]=e):r=NullProtoObject(),void 0===t?r:definePropertiesModule.f(r,t)}),wellKnownSymbol$8=wellKnownSymbol$a,create$2=objectCreate,defineProperty$3=objectDefineProperty.f,UNSCOPABLES=wellKnownSymbol$8("unscopables"),ArrayPrototype=Array.prototype,addToUnscopables$2=(void 0===ArrayPrototype[UNSCOPABLES]&&defineProperty$3(ArrayPrototype,UNSCOPABLES,{configurable:!0,value:create$2(null)}),function(e){ArrayPrototype[UNSCOPABLES][e]=!0}),$$5=_export,$includes=arrayIncludes.includes,fails$b=fails$k,addToUnscopables$1=addToUnscopables$2,BROKEN_ON_SPARSE=fails$k(function(){return!Array(1).includes()});$$5({target:"Array",proto:!0,forced:BROKEN_ON_SPARSE},{includes:function(e){return $includes(this,e,1<arguments.length?arguments[1]:void 0)}}),addToUnscopables$1("includes"),function(e){e.Edit="edit",e.Enable="enable",e.Delete="delete",e.Deploy="deploy",e.Disable="disable",e.Submit="submit",e.Approve="approve",e.Reject="reject"}(EApplicationAction=EApplicationAction||{});const APPLICATIONS_ACTIONS=Object.values(EApplicationAction),APPLICATIONS_MUTATE_ACTIONS=APPLICATIONS_ACTIONS.filter(e=>!["edit","delete"].includes(e)),DEFAULT_PAGE_SIZE=(!function(e){e.Delete="delete",e.Disable="disable",e.Edit="edit",e.Enable="enable",e.Undelete="undelete"}(EEngineStateAction=EEngineStateAction||{}),Object.values(EEngineStateAction),!function(e){e.View="view",e.Edit="edit",e.Publish="publish",e.Deactivate="deactivate",e.Delete="delete"}(EDataSchemaAction=EDataSchemaAction||{}),Object.values(EDataSchemaAction),!function(e){e.Active="active",e.Draft="draft",e.Deleted="deleted",e.Pending="pending",e.Rejected="rejected",e.Approved="approved",e.Disabled="disabled"}(EApplicationStatus=EApplicationStatus||{}),!function(e){e.Name="Name",e.NameOrId="NameOrId",e.Status="Status"}(EApplicationFilterType=EApplicationFilterType||{}),!function(e){e.Active="active",e.Disabled="disabled",e.Pending="pending",e.Deleted="deleted",e.Draft="draft",e.Ready="ready"}(EEngineState=EEngineState||{}),!function(e){e.Cognition="Cognition",e.Ingestion="Ingestion",e.Aggregator="Aggregator"}(EEngineType=EEngineType||{}),!function(e){e.Certified="Certified",e.NotCertified="Not Certified"}(EEngineCertified=EEngineCertified||{}),!function(e){e.Status="Status",e.Industry="Industry",e.Capability="Capability",e.DeploymentModel="DeploymentModel",e.Certified="Certified",e.NameOrId="NameOrId"}(EEngineFilterType=EEngineFilterType||{}),!function(e){e.private="private",e.org_locked="org_locked",e.sharable="sharable",e.public="public",e.marketplace="marketplace",e.instance_locked="instance_locked"}(EEngineDistributionType=EEngineDistributionType||{}),!function(e){e.Name="Name",e.NameOrId="NameOrId"}(EFlowTemplateFilterType=EFlowTemplateFilterType||{}),!function(e){e.Organization="Organization",e.User="User"}(EPackageConfigLevel=EPackageConfigLevel||{}),!function(e){e.String="String",e.Boolean="Boolean",e.Date="Date",e.Integer="Integer",e.JSON="JSON",e.Float="Float"}(EPackageConfigType=EPackageConfigType||{}),(EPackageFilterType=EPackageFilterType||{}).Status="Status",!function(e){e.engine="engine",e.schema="schema",e.application="application",e.DAGTemplate="dagTemplate",e.library="library",e.flow="flow",e.flowTemplate="flowTemplate",e.applicationContentMenuExtension="applicationContentMenuExtension",e.applicationView="applicationView",e.package="package",e.sdo="sdo",e.tdo="tdo",e.scheduledJob="scheduledJob",e.dagTemplate="dagTemplate",e.nodeRedPalette="nodeRedPalette",e.automateNode="automateNode",e.automatePalette="automatePalette",e.IOAdapters="ioAdapters"}(EResourceTypeValue=EResourceTypeValue||{}),!function(e){e.Published="published",e.Deleted="deleted",e.Draft="draft",e.Inactive="inactive"}(ESchemaStatus=ESchemaStatus||{}),!function(e){e.Status="Status",e.Name="Name",e.NameOrId="NameOrId"}(ESchemaFilterType=ESchemaFilterType||{}),!function(e){e.Name="Name",e.NameOrId="NameOrId"}(EDagTemplateFilterType=EDagTemplateFilterType||{}),!function(e){e.FullyNetworkIsolated="FullyNetworkIsolated",e.MostlyNetworkIsolated="MostlyNetworkIsolated",e.NonNetworkIsolated="NonNetworkIsolated",e.HumanReview="HumanReview"}(EDeploymentModel=EDeploymentModel||{}),30);var DESCRIPTORS$1=descriptors,uncurryThis$6=functionUncurryThis,call$7=functionCall,fails$a=fails$k,objectKeys=objectKeys$2,getOwnPropertySymbolsModule=objectGetOwnPropertySymbols,propertyIsEnumerableModule=objectPropertyIsEnumerable,toObject$3=toObject$5,IndexedObject$1=indexedObject,$assign=Object.assign,defineProperty$2=Object.defineProperty,concat$1=uncurryThis$6([].concat),objectAssign=!$assign||fails$a(function(){var e,t,r,n;return!(!DESCRIPTORS$1||1===$assign({b:1},$assign(defineProperty$2({},"a",{enumerable:!0,get:function(){defineProperty$2(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)||(t={},n="abcdefghijklmnopqrst",(e={})[r=Symbol("assign detection")]=7,n.split("").forEach(function(e){t[e]=e}),7!==$assign({},e)[r])||objectKeys($assign({},t)).join("")!==n})?function(e,t){for(var r=toObject$3(e),n=arguments.length,a=1,o=getOwnPropertySymbolsModule.f,i=propertyIsEnumerableModule.f;a<n;)for(var s,l=IndexedObject$1(arguments[a++]),c=o?concat$1(objectKeys(l),o(l)):objectKeys(l),u=c.length,d=0;d<u;)s=c[d++],DESCRIPTORS$1&&!call$7(i,l,s)||(r[s]=l[s]);return r}:$assign,$$4=_export,assign=objectAssign,wellKnownSymbol$7=(_export({target:"Object",stat:!0,arity:2,forced:Object.assign!==assign},{assign:assign}),wellKnownSymbol$a),TO_STRING_TAG$2=wellKnownSymbol$a("toStringTag"),test={},toStringTagSupport=(test[TO_STRING_TAG$2]="z","[object z]"===String(test)),TO_STRING_TAG_SUPPORT=toStringTagSupport,isCallable$5=isCallable$g,classofRaw=classofRaw$1,wellKnownSymbol$6=wellKnownSymbol$a,TO_STRING_TAG$1=wellKnownSymbol$a("toStringTag"),$Object$1=Object,CORRECT_ARGUMENTS="Arguments"===classofRaw(function(){return arguments}()),tryGet=function(e,t){try{return e[t]}catch(e){}},classof$3=TO_STRING_TAG_SUPPORT?classofRaw:function(e){var t;return void 0===e?"Undefined":null===e?"Null":"string"==typeof(t=tryGet(e=$Object$1(e),TO_STRING_TAG$1))?t:CORRECT_ARGUMENTS?classofRaw(e):"Object"===(t=classofRaw(e))&&isCallable$5(e.callee)?"Arguments":t},classof$2=classof$3,$String$1=String,toString$4=function(e){if("Symbol"===classof$2(e))throw new TypeError("Cannot convert a Symbol value to a string");return $String$1(e)},anObject$3=anObject$8,regexpFlags$1=function(){var e=anObject$3(this),t="";return e.hasIndices&&(t+="d"),e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.dotAll&&(t+="s"),e.unicode&&(t+="u"),e.unicodeSets&&(t+="v"),e.sticky&&(t+="y"),t},call$6=functionCall,hasOwn$2=hasOwnProperty_1,isPrototypeOf=objectIsPrototypeOf,regExpFlags=regexpFlags$1,RegExpPrototype$2=RegExp.prototype,regexpGetFlags=function(e){var t=e.flags;return void 0!==t||"flags"in RegExpPrototype$2||hasOwn$2(e,"flags")||!isPrototypeOf(RegExpPrototype$2,e)?t:call$6(regExpFlags,e)},PROPER_FUNCTION_NAME$2=functionName.PROPER,defineBuiltIn$3=defineBuiltIn$5,anObject$2=anObject$8,$toString=toString$4,fails$9=fails$k,getRegExpFlags=regexpGetFlags,TO_STRING="toString",RegExpPrototype$1=RegExp.prototype,nativeToString=RegExpPrototype$1[TO_STRING],NOT_GENERIC=fails$9(function(){return"/a/b"!==nativeToString.call({source:"a",flags:"b"})}),INCORRECT_NAME=PROPER_FUNCTION_NAME$2&&nativeToString.name!==TO_STRING;(NOT_GENERIC||INCORRECT_NAME)&&defineBuiltIn$3(RegExpPrototype$1,TO_STRING,function(){var e=anObject$2(this);return"/"+$toString(e.source)+"/"+$toString(getRegExpFlags(e))},{unsafe:!0});const useStyles=makeStyles()(e=>({formControl:{marginRight:"15px"},label:{fontFamily:"Nunito",fontWeight:700,fontSize:14,color:"#2A323C",marginBottom:0,display:"flex",justifyContent:"space-between"},field:{width:180},clearBtn:{color:"#0C53B0",cursor:"pointer",fontWeight:400},backdrop:{backgroundColor:"transparent"}})),muiSelectStyleOverrides={height:"28px",fontSize:"0.8em","& fieldset":{borderColor:"#D5DFE9",borderWidth:"2px",borderRadius:"6px"},"&:hover":{"&& fieldset":{borderColor:"rgba(42,50,60,0.5)"}}},SimpleFilter=e=>{const{id:t,filterLabel:r,clearButtonLabel:n,items:a,selectedValues:o,onChange:i,isMultiselect:s}=e;var e=useStyles()["classes"],l=useDispatch();const c=react.exports.useCallback(e=>{var e=e["target"]["value"],e="string"==typeof e?e.split(","):e;i(e)},[l]);return jsxRuntime.exports.jsxs(FormControl,Object.assign({size:"small",className:e.formControl},{children:[jsxRuntime.exports.jsxs("label",Object.assign({htmlFor:t,className:e.label},{children:[r,0<o.length&&jsxRuntime.exports.jsx("span",Object.assign({"data-testid":`filter-${t}-clear-btn`,onClick:()=>{c({target:{value:[]}})},className:e.clearBtn},{children:n}))]})),jsxRuntime.exports.jsx(Select,Object.assign({MenuProps:{BackdropProps:{classes:{root:e.backdrop}}},"data-testid":"filter-"+t,id:t,sx:muiSelectStyleOverrides,variant:"outlined",value:o,multiple:!!s,displayEmpty:!0,className:e.field,onChange:c,renderValue:e=>{var t;return 0===e.length?jsxRuntime.exports.jsx("div",{children:"All"}):(t=jsxRuntime.exports.jsxs(Stack,Object.assign({style:{opacity:.8,margin:0}},{children:[jsxRuntime.exports.jsxs("span",Object.assign({style:{borderBottom:"1px solid #fff",paddingBottom:"3px"}},{children:[jsxRuntime.exports.jsx(FormattedMessage,{id:"os-resource-center-resources-engine-filter-tooltip.selected-tooltip-title",defaultMessage:"Selected",description:"Selected tooltip title"})," ",r]})),jsxRuntime.exports.jsx("ul",Object.assign({style:{padding:0}},{children:e.map(e=>jsxRuntime.exports.jsxs("li",{children:["• ",e]},e))}))]})),jsxRuntime.exports.jsx(Tooltip,Object.assign({title:t,placement:"bottom-start"},{children:jsxRuntime.exports.jsx("span",{children:e.join(", ")})})))}},{children:a.map(({label:e,value:t})=>jsxRuntime.exports.jsx(MenuItem,Object.assign({"data-testid":"filter-option-"+t.toString().toLowerCase(),value:t},{children:e}),t))}))]}))};var IteratorPrototype$2,PrototypeOfArrayIteratorPrototype,arrayIterator,iterators={},fails$8=fails$k,correctPrototypeGetter=!fails$k(function(){function e(){}return e.prototype.constructor=null,Object.getPrototypeOf(new e)!==e.prototype}),hasOwn$1=hasOwnProperty_1,isCallable$4=isCallable$g,toObject$2=toObject$5,sharedKey=sharedKey$3,CORRECT_PROTOTYPE_GETTER=correctPrototypeGetter,IE_PROTO=sharedKey$3("IE_PROTO"),$Object=Object,ObjectPrototype=$Object.prototype,objectGetPrototypeOf=CORRECT_PROTOTYPE_GETTER?$Object.getPrototypeOf:function(e){var t,e=toObject$2(e);return hasOwn$1(e,IE_PROTO)?e[IE_PROTO]:(t=e.constructor,isCallable$4(t)&&e instanceof t?t.prototype:e instanceof $Object?ObjectPrototype:null)},fails$7=fails$k,isCallable$3=isCallable$g,isObject$2=isObject$8,getPrototypeOf$1=objectGetPrototypeOf,defineBuiltIn$2=defineBuiltIn$5,wellKnownSymbol$5=wellKnownSymbol$a,ITERATOR$2=wellKnownSymbol$a("iterator"),BUGGY_SAFARI_ITERATORS$1=!1,NEW_ITERATOR_PROTOTYPE=([].keys&&("next"in(arrayIterator=[].keys())?(PrototypeOfArrayIteratorPrototype=getPrototypeOf$1(getPrototypeOf$1(arrayIterator)))!==Object.prototype&&(IteratorPrototype$2=PrototypeOfArrayIteratorPrototype):BUGGY_SAFARI_ITERATORS$1=!0),!isObject$2(IteratorPrototype$2)||fails$7(function(){var e={};return IteratorPrototype$2[ITERATOR$2].call(e)!==e})),iteratorsCore=(isCallable$3((IteratorPrototype$2=NEW_ITERATOR_PROTOTYPE?{}:IteratorPrototype$2)[ITERATOR$2])||defineBuiltIn$2(IteratorPrototype$2,ITERATOR$2,function(){return this}),{IteratorPrototype:IteratorPrototype$2,BUGGY_SAFARI_ITERATORS:BUGGY_SAFARI_ITERATORS$1}),defineProperty$1=objectDefineProperty.f,hasOwn=hasOwnProperty_1,wellKnownSymbol$4=wellKnownSymbol$a,TO_STRING_TAG=wellKnownSymbol$a("toStringTag"),setToStringTag$3=function(e,t,r){(e=e&&!r?e.prototype:e)&&!hasOwn(e,TO_STRING_TAG)&&defineProperty$1(e,TO_STRING_TAG,{configurable:!0,value:t})},IteratorPrototype$1=iteratorsCore.IteratorPrototype,create$1=objectCreate,createPropertyDescriptor=createPropertyDescriptor$3,setToStringTag$2=setToStringTag$3,Iterators$2=iterators,returnThis$1=function(){return this},iteratorCreateConstructor=function(e,t,r,n){t+=" Iterator";return e.prototype=create$1(IteratorPrototype$1,{next:createPropertyDescriptor(+!n,r)}),setToStringTag$2(e,t,!1),Iterators$2[t]=returnThis$1,e},uncurryThis$5=functionUncurryThis,aCallable$1=aCallable$3,functionUncurryThisAccessor=function(e,t,r){try{return uncurryThis$5(aCallable$1(Object.getOwnPropertyDescriptor(e,t)[r]))}catch(e){}},isObject$1=isObject$8,isPossiblePrototype$1=function(e){return isObject$1(e)||null===e},isPossiblePrototype=isPossiblePrototype$1,$String=String,$TypeError$2=TypeError,aPossiblePrototype$1=function(e){if(isPossiblePrototype(e))return e;throw new $TypeError$2("Can't set "+$String(e)+" as a prototype")},uncurryThisAccessor=functionUncurryThisAccessor,isObject=isObject$8,requireObjectCoercible$3=requireObjectCoercible$6,aPossiblePrototype=aPossiblePrototype$1,objectSetPrototypeOf=Object.setPrototypeOf||("__proto__"in{}?function(){var r,n=!1,e={};try{(r=uncurryThisAccessor(Object.prototype,"__proto__","set"))(e,[]),n=e instanceof Array}catch(e){}return function(e,t){return requireObjectCoercible$3(e),aPossiblePrototype(t),isObject(e)&&(n?r(e,t):e.__proto__=t),e}}():void 0),$$3=_export,call$5=functionCall,FunctionName=functionName,isCallable$2=isCallable$g,createIteratorConstructor=iteratorCreateConstructor,getPrototypeOf=objectGetPrototypeOf,setPrototypeOf=objectSetPrototypeOf,setToStringTag$1=setToStringTag$3,createNonEnumerableProperty$2=createNonEnumerableProperty$5,defineBuiltIn$1=defineBuiltIn$5,wellKnownSymbol$3=wellKnownSymbol$a,Iterators$1=iterators,IteratorsCore=iteratorsCore,PROPER_FUNCTION_NAME$1=FunctionName.PROPER,CONFIGURABLE_FUNCTION_NAME=FunctionName.CONFIGURABLE,IteratorPrototype=IteratorsCore.IteratorPrototype,BUGGY_SAFARI_ITERATORS=IteratorsCore.BUGGY_SAFARI_ITERATORS,ITERATOR$1=wellKnownSymbol$3("iterator"),KEYS="keys",VALUES="values",ENTRIES="entries",returnThis=function(){return this},iteratorDefine=function(e,t,r,n,a,o,i){createIteratorConstructor(r,t,n);function s(e){if(e===a&&g)return g;if(!BUGGY_SAFARI_ITERATORS&&e&&e in d)return d[e];switch(e){case KEYS:case VALUES:case ENTRIES:return function(){return new r(this,e)}}return function(){return new r(this)}}var l,c,n=t+" Iterator",u=!1,d=e.prototype,p=d[ITERATOR$1]||d["@@iterator"]||a&&d[a],g=!BUGGY_SAFARI_ITERATORS&&p||s(a),$="Array"===t&&d.entries||p;if($&&($=getPrototypeOf($.call(new e)))!==Object.prototype&&$.next&&(getPrototypeOf($)!==IteratorPrototype&&(setPrototypeOf?setPrototypeOf($,IteratorPrototype):isCallable$2($[ITERATOR$1])||defineBuiltIn$1($,ITERATOR$1,returnThis)),setToStringTag$1($,n,!0)),PROPER_FUNCTION_NAME$1&&a===VALUES&&p&&p.name!==VALUES&&(CONFIGURABLE_FUNCTION_NAME?createNonEnumerableProperty$2(d,"name",VALUES):(u=!0,g=function(){return call$5(p,this)})),a)if(l={values:s(VALUES),keys:o?g:s(KEYS),entries:s(ENTRIES)},i)for(c in l)!BUGGY_SAFARI_ITERATORS&&!u&&c in d||defineBuiltIn$1(d,c,l[c]);else $$3({target:t,proto:!0,forced:BUGGY_SAFARI_ITERATORS||u},l);return d[ITERATOR$1]!==g&&defineBuiltIn$1(d,ITERATOR$1,g,{name:a}),Iterators$1[t]=g,l},createIterResultObject$1=function(e,t){return{value:e,done:t}},toIndexedObject=toIndexedObject$5,addToUnscopables=addToUnscopables$2,Iterators=iterators,InternalStateModule=internalState,defineProperty=objectDefineProperty.f,defineIterator=iteratorDefine,createIterResultObject=createIterResultObject$1,DESCRIPTORS=descriptors,ARRAY_ITERATOR="Array Iterator",setInternalState=InternalStateModule.set,getInternalState$1=InternalStateModule.getterFor(ARRAY_ITERATOR),es_array_iterator=defineIterator(Array,"Array",function(e,t){setInternalState(this,{type:ARRAY_ITERATOR,target:toIndexedObject(e),index:0,kind:t})},function(){var e=getInternalState$1(this),t=e.target,r=e.index++;if(!t||r>=t.length)return e.target=void 0,createIterResultObject(void 0,!0);switch(e.kind){case"keys":return createIterResultObject(r,!1);case"values":return createIterResultObject(t[r],!1)}return createIterResultObject([r,t[r]],!1)},"values"),values=Iterators.Arguments=Iterators.Array;if(addToUnscopables("keys"),addToUnscopables("values"),addToUnscopables("entries"),DESCRIPTORS&&"values"!==values.name)try{defineProperty(values,"name",{value:"values"})}catch(e){}var COLLECTION_NAME,aCallable=aCallable$3,toObject$1=toObject$5,IndexedObject=indexedObject,lengthOfArrayLike=lengthOfArrayLike$2,$TypeError$1=TypeError,REDUCE_EMPTY="Reduce of empty array with no initial value",createMethod$2=function(c){return function(e,t,r,n){var a=toObject$1(e),o=IndexedObject(a),i=lengthOfArrayLike(a);if(aCallable(t),0===i&&r<2)throw new $TypeError$1(REDUCE_EMPTY);var s=c?i-1:0,l=c?-1:1;if(r<2)for(;;){if(s in o){n=o[s],s+=l;break}if(s+=l,c?s<0:i<=s)throw new $TypeError$1(REDUCE_EMPTY)}for(;c?0<=s:s<i;s+=l)s in o&&(n=t(n,o[s],s,a));return n}},arrayReduce={left:createMethod$2(!1),right:createMethod$2(!0)},fails$6=fails$k,arrayMethodIsStrict$1=function(e,t){var r=[][e];return!!r&&fails$6(function(){r.call(null,t||function(){return 1},1)})},global$5=global$f,classof$1=classofRaw$1,engineIsNode="process"===classofRaw$1(global$f.process),$$2=_export,$reduce=arrayReduce.left,arrayMethodIsStrict=arrayMethodIsStrict$1,CHROME_VERSION=engineV8Version,IS_NODE=engineIsNode,CHROME_BUG=!engineIsNode&&79<engineV8Version&&engineV8Version<83,FORCED=CHROME_BUG||!arrayMethodIsStrict$1("reduce"),fails$5=($$2({target:"Array",proto:!0,forced:FORCED},{reduce:function(e){var t=arguments.length;return $reduce(this,e,t,1<t?arguments[1]:void 0)}}),fails$k),global$4=global$f,$RegExp$2=global$f.RegExp,UNSUPPORTED_Y$1=fails$5(function(){var e=$RegExp$2("a","y");return e.lastIndex=2,null!==e.exec("abcd")}),MISSED_STICKY=UNSUPPORTED_Y$1||fails$5(function(){return!$RegExp$2("a","y").sticky}),BROKEN_CARET=UNSUPPORTED_Y$1||fails$5(function(){var e=$RegExp$2("^r","gy");return e.lastIndex=2,null!==e.exec("str")}),regexpStickyHelpers={BROKEN_CARET:BROKEN_CARET,MISSED_STICKY:MISSED_STICKY,UNSUPPORTED_Y:UNSUPPORTED_Y$1},fails$4=fails$k,global$3=global$f,$RegExp$1=global$f.RegExp,regexpUnsupportedDotAll=fails$4(function(){var e=$RegExp$1(".","s");return!(e.dotAll&&e.test("\n")&&"s"===e.flags)}),fails$3=fails$k,global$2=global$f,$RegExp=global$f.RegExp,regexpUnsupportedNcg=fails$3(function(){var e=$RegExp("(?<a>b)","g");return"b"!==e.exec("b").groups.a||"bc"!=="b".replace(e,"$<a>c")}),call$4=functionCall,uncurryThis$4=functionUncurryThis,toString$3=toString$4,regexpFlags=regexpFlags$1,stickyHelpers=regexpStickyHelpers,shared=shared$4,create=objectCreate,getInternalState=internalState.get,UNSUPPORTED_DOT_ALL=regexpUnsupportedDotAll,UNSUPPORTED_NCG=regexpUnsupportedNcg,nativeReplace=shared("native-string-replace",String.prototype.replace),nativeExec=RegExp.prototype.exec,patchedExec=nativeExec,charAt$3=uncurryThis$4("".charAt),indexOf=uncurryThis$4("".indexOf),replace$2=uncurryThis$4("".replace),stringSlice$3=uncurryThis$4("".slice),UPDATES_LAST_INDEX_WRONG=function(){var e=/a/,t=/b*/g;return call$4(nativeExec,e,"a"),call$4(nativeExec,t,"a"),0!==e.lastIndex||0!==t.lastIndex}(),UNSUPPORTED_Y=stickyHelpers.BROKEN_CARET,NPCG_INCLUDED=void 0!==/()??/.exec("")[1],PATCH=UPDATES_LAST_INDEX_WRONG||NPCG_INCLUDED||UNSUPPORTED_Y||UNSUPPORTED_DOT_ALL||UNSUPPORTED_NCG,regexpExec$2=patchedExec=PATCH?function(e){var t,r,n,a,o,i,s=this,l=getInternalState(s),e=toString$3(e),c=l.raw;if(c)return c.lastIndex=s.lastIndex,d=call$4(patchedExec,c,e),s.lastIndex=c.lastIndex,d;var u=l.groups,c=UNSUPPORTED_Y&&s.sticky,d=call$4(regexpFlags,s),l=s.source,p=0,g=e;if(c&&(d=replace$2(d,"y",""),-1===indexOf(d,"g")&&(d+="g"),g=stringSlice$3(e,s.lastIndex),0<s.lastIndex&&(!s.multiline||s.multiline&&"\n"!==charAt$3(e,s.lastIndex-1))&&(l="(?: "+l+")",g=" "+g,p++),t=new RegExp("^(?:"+l+")",d)),NPCG_INCLUDED&&(t=new RegExp("^"+l+"$(?!\\s)",d)),UPDATES_LAST_INDEX_WRONG&&(r=s.lastIndex),n=call$4(nativeExec,c?t:s,g),c?n?(n.input=stringSlice$3(n.input,p),n[0]=stringSlice$3(n[0],p),n.index=s.lastIndex,s.lastIndex+=n[0].length):s.lastIndex=0:UPDATES_LAST_INDEX_WRONG&&n&&(s.lastIndex=s.global?n.index+n[0].length:r),NPCG_INCLUDED&&n&&1<n.length&&call$4(nativeReplace,n[0],t,function(){for(a=1;a<arguments.length-2;a++)void 0===arguments[a]&&(n[a]=void 0)}),n&&u)for(n.groups=o=create(null),a=0;a<u.length;a++)o[(i=u[a])[0]]=n[i[1]];return n}:patchedExec,$$1=_export,exec=regexpExec$2,NATIVE_BIND=(_export({target:"RegExp",proto:!0,forced:/./.exec!==exec},{exec:exec}),functionBindNative),FunctionPrototype=Function.prototype,apply$1=FunctionPrototype.apply,call$3=FunctionPrototype.call,functionApply="object"==typeof Reflect&&Reflect.apply||(NATIVE_BIND?call$3.bind(apply$1):function(){return call$3.apply(apply$1,arguments)}),call$2=functionCall,defineBuiltIn=defineBuiltIn$5,regexpExec$1=regexpExec$2,fails$2=fails$k,wellKnownSymbol$2=wellKnownSymbol$a,createNonEnumerableProperty$1=createNonEnumerableProperty$5,SPECIES=wellKnownSymbol$2("species"),RegExpPrototype=RegExp.prototype,fixRegexpWellKnownSymbolLogic=function(r,e,t,n){var i,a=wellKnownSymbol$2(r),s=!fails$2(function(){var e={};return e[a]=function(){return 7},7!==""[r](e)}),o=s&&!fails$2(function(){var e=!1,t=/a/;return"split"===r&&((t={constructor:{}}).constructor[SPECIES]=function(){return t},t.flags="",t[a]=/./[a]),t.exec=function(){return e=!0,null},t[a](""),!e});s&&o&&!t||(i=/./[a],o=e(a,""[r],function(e,t,r,n,a){var o=t.exec;return o===regexpExec$1||o===RegExpPrototype.exec?s&&!a?{done:!0,value:call$2(i,t,r,n)}:{done:!0,value:call$2(e,r,t,n)}:{done:!1}}),defineBuiltIn(String.prototype,r,o[0]),defineBuiltIn(RegExpPrototype,a,o[1])),n&&createNonEnumerableProperty$1(RegExpPrototype[a],"sham",!0)},uncurryThis$3=functionUncurryThis,toIntegerOrInfinity$1=toIntegerOrInfinity$4,toString$2=toString$4,requireObjectCoercible$2=requireObjectCoercible$6,charAt$2=uncurryThis$3("".charAt),charCodeAt=uncurryThis$3("".charCodeAt),stringSlice$2=uncurryThis$3("".slice),createMethod$1=function(a){return function(e,t){var r,e=toString$2(requireObjectCoercible$2(e)),t=toIntegerOrInfinity$1(t),n=e.length;return t<0||n<=t?a?"":void 0:(r=charCodeAt(e,t))<55296||56319<r||t+1===n||(n=charCodeAt(e,t+1))<56320||57343<n?a?charAt$2(e,t):r:a?stringSlice$2(e,t,t+2):n-56320+(r-55296<<10)+65536}},stringMultibyte={codeAt:createMethod$1(!1),charAt:createMethod$1(!0)},charAt$1=stringMultibyte.charAt,advanceStringIndex$1=function(e,t,r){return t+(r?charAt$1(e,t).length:1)},uncurryThis$2=functionUncurryThis,toObject=toObject$5,floor=Math.floor,charAt=uncurryThis$2("".charAt),replace$1=uncurryThis$2("".replace),stringSlice$1=uncurryThis$2("".slice),SUBSTITUTION_SYMBOLS=/\$([$&'`]|\d{1,2}|<[^>]*>)/g,SUBSTITUTION_SYMBOLS_NO_NAMED=/\$([$&'`]|\d{1,2})/g,getSubstitution$1=function(o,i,s,l,c,e){var u=s+o.length,d=l.length,t=SUBSTITUTION_SYMBOLS_NO_NAMED;return void 0!==c&&(c=toObject(c),t=SUBSTITUTION_SYMBOLS),replace$1(e,t,function(e,t){var r;switch(charAt(t,0)){case"$":return"$";case"&":return o;case"`":return stringSlice$1(i,0,s);case"'":return stringSlice$1(i,u);case"<":r=c[stringSlice$1(t,1,-1)];break;default:var n,a=+t;if(0==a)return e;if(d<a)return 0!==(n=floor(a/10))&&n<=d?void 0===l[n-1]?charAt(t,1):l[n-1]+charAt(t,1):e;r=l[a-1]}return void 0===r?"":r})},call$1=functionCall,anObject$1=anObject$8,isCallable$1=isCallable$g,classof=classofRaw$1,regexpExec=regexpExec$2,$TypeError=TypeError,regexpExecAbstract=function(e,t){var r=e.exec;if(isCallable$1(r))return null!==(r=call$1(r,e,t))&&anObject$1(r),r;if("RegExp"===classof(e))return call$1(regexpExec,e,t);throw new $TypeError("RegExp#exec called on incompatible receiver")},apply=functionApply,call=functionCall,uncurryThis$1=functionUncurryThis,fixRegExpWellKnownSymbolLogic=fixRegexpWellKnownSymbolLogic,fails$1=fails$k,anObject=anObject$8,isCallable=isCallable$g,isNullOrUndefined=isNullOrUndefined$3,toIntegerOrInfinity=toIntegerOrInfinity$4,toLength=toLength$2,toString$1=toString$4,requireObjectCoercible$1=requireObjectCoercible$6,advanceStringIndex=advanceStringIndex$1,getMethod=getMethod$2,getSubstitution=getSubstitution$1,regExpExec=regexpExecAbstract,wellKnownSymbol$1=wellKnownSymbol$a,REPLACE=wellKnownSymbol$a("replace"),max=Math.max,min=Math.min,concat=uncurryThis$1([].concat),push=uncurryThis$1([].push),stringIndexOf=uncurryThis$1("".indexOf),stringSlice=uncurryThis$1("".slice),maybeToString=function(e){return void 0===e?e:String(e)},REPLACE_KEEPS_$0="$0"==="a".replace(/./,"$0"),REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE=!!/./[REPLACE]&&""===/./[REPLACE]("a","$0"),REPLACE_SUPPORTS_NAMED_GROUPS=!fails$1(function(){var e=/./;return e.exec=function(){var e=[];return e.groups={a:"7"},e},"7"!=="".replace(e,"$<a>")}),domIterables=(fixRegExpWellKnownSymbolLogic("replace",function(e,b,E){var O=REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE?"$":"$0";return[function(e,t){var r=requireObjectCoercible$1(this),n=isNullOrUndefined(e)?void 0:getMethod(e,REPLACE);return n?call(n,e,r,t):call(b,toString$1(r),e,t)},function(e,t){var r=anObject(this),n=toString$1(e);if("string"==typeof t&&-1===stringIndexOf(t,O)&&-1===stringIndexOf(t,"$<")){e=E(b,r,n,t);if(e.done)return e.value}for(var a,o=isCallable(t),i=(o||(t=toString$1(t)),r.global),s=(i&&(a=r.unicode,r.lastIndex=0),[]);null!==(d=regExpExec(r,n))&&(push(s,d),i);)""===toString$1(d[0])&&(r.lastIndex=advanceStringIndex(n,toLength(r.lastIndex),a));for(var l="",c=0,u=0;u<s.length;u++){for(var d,p=toString$1((d=s[u])[0]),g=max(min(toIntegerOrInfinity(d.index),n.length),0),$=[],y=1;y<d.length;y++)push($,maybeToString(d[y]));var f=d.groups,m=o?(m=concat([p],$,g,n),void 0!==f&&push(m,f),toString$1(apply(t,void 0,m))):getSubstitution(p,n,g,$,f,t);c<=g&&(l+=stringSlice(n,c,g)+m,c=g+p.length)}return l+stringSlice(n,c)}]},!REPLACE_SUPPORTS_NAMED_GROUPS||!REPLACE_KEEPS_$0||REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE),{CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}),documentCreateElement=documentCreateElement$2,classList=documentCreateElement$2("span").classList,DOMTokenListPrototype$1=classList&&classList.constructor&&classList.constructor.prototype,domTokenListPrototype=DOMTokenListPrototype$1===Object.prototype?void 0:DOMTokenListPrototype$1,global$1=global$f,DOMIterables=domIterables,DOMTokenListPrototype=domTokenListPrototype,ArrayIteratorMethods=es_array_iterator,createNonEnumerableProperty=createNonEnumerableProperty$5,setToStringTag=setToStringTag$3,wellKnownSymbol=wellKnownSymbol$a,ITERATOR=wellKnownSymbol$a("iterator"),ArrayValues=ArrayIteratorMethods.values,handlePrototype=function(t,e){if(t){if(t[ITERATOR]!==ArrayValues)try{createNonEnumerableProperty(t,ITERATOR,ArrayValues)}catch(e){t[ITERATOR]=ArrayValues}if(setToStringTag(t,e,!0),DOMIterables[e])for(var r in ArrayIteratorMethods)if(t[r]!==ArrayIteratorMethods[r])try{createNonEnumerableProperty(t,r,ArrayIteratorMethods[r])}catch(e){t[r]=ArrayIteratorMethods[r]}}};for(COLLECTION_NAME in DOMIterables)handlePrototype(global$1[COLLECTION_NAME]&&global$1[COLLECTION_NAME].prototype,COLLECTION_NAME);function __awaiter(e,i,s,l){return new(s=s||Promise)(function(r,t){function n(e){try{o(l.next(e))}catch(e){t(e)}}function a(e){try{o(l.throw(e))}catch(e){t(e)}}function o(e){var t;e.done?r(e.value):((t=e.value)instanceof s?t:new s(function(e){e(t)})).then(n,a)}o((l=l.apply(e,i||[])).next())})}function getPackages({apiConfigs:s,offset:l,limit:c,additionalSelectors:u}){var d;return __awaiter(this,void 0,void 0,function*(){const n=[{name:"limit",type:"Int",value:c},{name:"offset",type:"Int",value:l}];u&&Object.keys(u).forEach(t=>{var r=u[t];switch(t){case"id":n.push({name:t,type:"ID",value:r});break;case"owned":n.push({name:t,type:"Boolean",value:r});break;case"primaryResourceType":case"organizationId":{let e=n.findIndex(e=>"packageFilter"===e[t]);-1===e&&(e=n.push({name:"packageFilter",type:"PackageFilter",value:{}})-1),n[e].value[t]=r;break}case"packageFilters":var e=u[t];e&&e.forEach(e=>{"Status"===e.type&&n.push({name:"status",type:"PackageStatus",value:e.values.toString()})});break;case"searchValue":n.push({name:"nameRegexp",type:"String",value:null==r?void 0:r.replace(/[.*+\-?^${}()|[\]\\]/g,"\\$&")})}});var e=n.map(e=>`$${e.name}: `+e.type).join(" "),t=n.map(e=>e.name+": $"+e.name).join(" ");const r=n.reduce((e,t)=>(e[t.name]=t.value,e),{});var a="getPackages",e=`query ${a} (${e}) {
    packages(${t}) {
      records {
        id
        name
        description
        distributionType
        version
        sourceOriginId
        aiwareVersion
        deleted
        status
        icon
        primaryResource {
          resourceId
          resourceType
        }
        resources(limit:200) {
          count
          records {
            resourceId
            resourceType
          }
        }
        createdAt
        modifiedAt
        organization {
          id
          guid
          name
          imageUrl
          priority
        }
      }
    }
  }`,{token:t,graphQLEndpoint:o}=(null!=u&&u.isLatest&&(r.packageFilter||(r.packageFilter={}),r.packageFilter.isLatest=u.isLatest),s),o=yield gqlIntrospection.queryParser(o,t,e);let i;null!=(d=null==o?void 0:o.unsupportedArgs)&&d.forEach(e=>{delete r[e]}),i=null!=o&&o.query&&null!=o&&o.unsupportedArgs&&0<(null==(d=o.unsupportedArgs)?void 0:d.length)?o.query:e;t=yield baseGraphQLApi(Object.assign(Object.assign({query:i,variables:r,operationName:a},s),{graphEndpoint:s.graphQLEndpoint}));return isEqual_1("production","development")&&0<(null==(d=null==t?void 0:t.errors)?void 0:d.length)&&console.warn(`Errors were returned for ${t.errors.length} packages`,t.errors),t.data.packages.records})}function getPackageById(t,r){return __awaiter(this,void 0,void 0,function*(){var e=yield getPackages({apiConfigs:t,limit:1,offset:0,additionalSelectors:{id:r}});return e.length?e[0]:null})}function getPackageGrants(t,r){return __awaiter(this,void 0,void 0,function*(){var e="getPackageGrants";return(yield baseGraphQLApiWithError(Object.assign({query:"query getPackageGrants ($id: ID) {\n    packageGrants(id: $id) {\n      records {\n        package {\n          id\n        }\n        createdBy {\n          id\n          firstName\n          lastName\n          email\n        }\n        modifiedBy {\n          id\n          firstName\n          lastName\n          email\n        }\n        organization {\n          name\n          id\n          imageUrl\n        }\n        createdAt\n        modifiedAt\n      }\n      count\n    }\n  }",variables:{id:r},operationName:e},t))).packageGrants})}function getPackageVersions({apiConfigs:i,offset:s,limit:l,additionalSelectors:c}){var u;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=i,r="getPackageVersions",n=c.sourceOriginId||"",n=[{name:"offset",type:"Int",value:s},{name:"limit",type:"Int",value:l},{name:"sourceOriginId",type:"ID",value:n}],a=` query ${r} (${n.map(e=>`$${e.name}: `+e.type).join(", ")}) {
    packages(${n.map(e=>e.name+": $"+e.name).join(", ")}) {
      records {
        id
        version
        createdAt
        status
      }
    }
  }`;const o=n.reduce((e,t)=>(e[t.name]=t.value,e),{});n=yield gqlIntrospection.queryParser(e,t,a),e=(null==n?void 0:n.query)||a,null!=(u=null==n?void 0:n.unsupportedArgs)&&u.forEach(e=>{console.warn("Removing unsupport argument for engines query",e),delete o[e]}),t=yield baseGraphQLApiWithError(Object.assign({query:e,operationName:r,variables:o},i));return t.packages.records})}function getMultiPackagesByIds(r,n){var a;return __awaiter(this,void 0,void 0,function*(){var e="getPackages",t=`
    query ${e} {
      ${n.map((e,t)=>`package${t}: packages(id: "${e}"){
          records {
            id
            name,
            version
            primaryResource {
              resourceType
            }
          }
        }`)}
    }
  `,t=yield baseGraphQLApi(Object.assign(Object.assign({query:t,operationName:e,variables:{ids:n}},r),{graphEndpoint:r.graphQLEndpoint}));return isEqual_1("production","development")&&0<(null==(a=null==t?void 0:t.errors)?void 0:a.length)&&console.warn(`Errors were returned for ${t.errors.length} packages`,t.errors),Object.values(t.data).reduce((e,t)=>(e.push(...t.records),e),[])})}handlePrototype(DOMTokenListPrototype,"DOMTokenList");var packages_query=Object.freeze({__proto__:null,getPackages:getPackages,getPackageById:getPackageById,getPackageGrants:getPackageGrants,getPackageVersions:getPackageVersions,getMultiPackagesByIds:getMultiPackagesByIds}),whitespaces$2="\t\n\v\f\r                　\u2028\u2029\ufeff",uncurryThis=functionUncurryThis,requireObjectCoercible=requireObjectCoercible$6,toString=toString$4,whitespaces$1=whitespaces$2,replace=functionUncurryThis("".replace),ltrim=RegExp("^["+whitespaces$1+"]+"),rtrim=RegExp("(^|[^"+whitespaces$1+"])["+whitespaces$1+"]+$"),createMethod=function(t){return function(e){e=toString(requireObjectCoercible(e));return 1&t&&(e=replace(e,ltrim,"")),e=2&t?replace(e,rtrim,"$1"):e}},stringTrim={start:createMethod(1),end:createMethod(2),trim:createMethod(3)},PROPER_FUNCTION_NAME=functionName.PROPER,fails=fails$k,whitespaces=whitespaces$2,non="​᠎",stringTrimForced=function(e){return fails(function(){return!!whitespaces[e]()||non[e]()!==non||PROPER_FUNCTION_NAME&&whitespaces[e].name!==e})},$=_export,$trim=stringTrim.trim,forcedStringTrimMethod=stringTrimForced;$({target:"String",proto:!0,forced:stringTrimForced("trim")},{trim:function(){return $trim(this)}});const getValidIdsFromText=e=>e.replace(" ",",").split(",").filter(e=>validate(e.trim()));function getSchemas({apiConfigs:l,offset:c,limit:u,additionalSelectors:d}){var p;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=l,r="getSchemas";let n="",a="";var o=d.schemaFilters;let i=d.ids;d.searchValue&&(a=d.searchValue),o.forEach(e=>{switch(e.type){case ESchemaFilterType.Name:case ESchemaFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?i=[...null!==i&&void 0!==i?i:[],...t]:a=""+e.values[0];break;case ESchemaFilterType.Status:n=""+e.values[0]}});o=`
      query ${r} ( $offset: Int, $limit: Int, $status: [SchemaStatus!], $name: String ${i?"$ids: [ID!]":""}) {
        schemas( offset: $offset, limit: $limit, status: $status, name: $name ${i?"ids: $ids":""}, nameMatch: contains ) {
         records {
            id
            dataRegistryId
            dataRegistry {
              id
              name
              description
            }
            definition
            majorVersion
            minorVersion
            createdBy {
              organization {
                name
                id
              }
            }
            modifiedBy {
              organization {
                id
                name
              }
            }
            createdDateTime
            modifiedDateTime
            status
            organization {
              name
              id
            }
          }
        }
      }
    `;let s={offset:c,limit:u};i&&(s.ids=i),n&&(s=Object.assign(Object.assign({},s),{status:n})),a&&(s=Object.assign(Object.assign({},s),{name:a}));o=yield baseGraphQLApi({query:o,operationName:r,graphEndpoint:e,token:t,variables:s});return(null==(p=null==(p=null==o?void 0:o.data)?void 0:p.schemas)?void 0:p.records)||[]})}function getSchemasByIds(t,r){return __awaiter(this,void 0,void 0,function*(){var e=r.length;return getSchemas({apiConfigs:t,offset:0,limit:e,additionalSelectors:{ids:r,schemaFilters:[]}})})}var schemas_query=Object.freeze({__proto__:null,getSchemas:getSchemas,getSchemasByIds:getSchemasByIds});function readFlows({apiConfigs:d,offset:p,limit:g,additionalSelectors:$}){var y;return __awaiter(this,void 0,void 0,function*(){var e=$.flowFilters||[];let r=$.ids||void 0;var{graphQLEndpoint:t,token:n}=d,a="getFlows";const o=[{name:"offset",type:"Int",value:p},{name:"limit",type:"Int",value:g},{name:"categoryId",type:"String",value:"c5458876-43d2-41e8-a340-f734702df04a"}],i=[];e.forEach(e=>{switch(e.type){case EEngineFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?r=[...null!==r&&void 0!==r?r:[],...t]:i.push({name:"name",type:"[String]",value:e.values[0]});break;case EEngineFilterType.Status:o.push({name:"state",type:"[EngineState]",value:e.values});break;case EEngineFilterType.Certified:i.push({name:"isCertified",type:"Boolean",value:e.values[0]===EEngineCertified.Certified});break;case EEngineFilterType.DeploymentModel:t=e["values"];1<t.length?i.push({name:"deploymentModels",type:"DeploymentModels",value:t}):i.push({name:"deploymentModel",type:"DeploymentModel",value:t[0]});break;case EEngineFilterType.Industry:o.push({name:"industries",type:"[String]",value:e.values})}}),r&&o.push({name:"ids",type:"[ID!]",value:r});let s=o.map(e=>`$${e.name}: `+e.type).join(", "),l=o.map(e=>e.name+": $"+e.name).join(", ");i.length&&(s+=", $filter: EngineFilter",l+=", filter: $filter");e=`  query ${a} (${s}) {
    engines(${l}) {
      records {
        id
        name
        price
        entityTags {
            tagKey
            tagValue
        }
        ownerOrganization {
            name
            id
            imageUrl
        }
        signedIconPath
        signedLogoPath
        description
        displayName
        website
        category {
            name
            id
            iconClass
            type {
                name
            }
        }
        industries
        state
        isPublic
        deploymentModel
        testingDetails {
            isCertified
        }
        deployedVersion
      }
    }
  }`;const c=o.reduce((e,t)=>(e[t.name]=t.value,e),{});i.length&&(c.filter=i.reduce((e,t)=>(e[t.name]=t.value,e),{}));var u=yield gqlIntrospection.queryParser(t,n,e),e=(null==u?void 0:u.query)||e,u=(null!=(y=null==u?void 0:u.unsupportedArgs)&&y.forEach(e=>{console.warn("Removing unsupport argument for engines query",e),delete c[e]}),yield baseGraphQLApi({query:e,operationName:a,graphEndpoint:t,token:n,variables:c}));return(null==(y=null==(y=null==u?void 0:u.data)?void 0:y.engines)?void 0:y.records)||[]})}function readFlowsWithRevisions({apiConfigs:s,offset:l,limit:c,additionalSelectors:u}){return __awaiter(this,void 0,void 0,function*(){var e="getFlowRevisions",t=yield readFlows({apiConfigs:s,offset:l,limit:c,additionalSelectors:u}),r=`
  query ${e} {
  ${t.map(e=>`
      flow_${e.id.replace(/-/g,"")}: flowRevisions(engineId: "${e.id}") {
        records {
          flowRevisionId
          flowRevisionNumb
          engineId
          isHead
        }
      }

  `).join("")}
  }
  `,{graphQLEndpoint:n,token:a}=s,r=yield baseGraphQLApi({query:r,operationName:e,graphEndpoint:n,token:a});const o=Object.values(r.data).map(e=>e.records).reduce((e,t)=>[...e,...t],[]),i=[];return t.forEach(t=>{o.find(e=>e.engineId===t.id)?o.forEach(e=>{e.engineId===t.id&&i.push(Object.assign(Object.assign({},t),{flowRevisions:[e]}))}):i.push(Object.assign(Object.assign({},t),{flowRevisions:[]}))}),i})}function readFlowsByRevisionIds(a,o){return __awaiter(this,void 0,void 0,function*(){var e="getFlowRevisionsById",t=`
  query ${e} {
    ${o.map((e,t)=>`
      revision${t}: flowRevision(id: "${e}") {
        engineId
      }
    `).join("")}
  }`,{graphQLEndpoint:r,token:n}=a,t=yield baseGraphQLApi({query:t,operationName:e,graphEndpoint:r,token:n}),e=Object.values(t.data).map(e=>e.engineId),r=o.length;return readFlowsWithRevisions({apiConfigs:a,offset:0,limit:r,additionalSelectors:{ids:e}})})}function readSelectedFlowsByRevisionIds(s,l){return __awaiter(this,void 0,void 0,function*(){var e="getFlowRevisionsById",t=`
  query ${e} {
    ${l.map((e,t)=>`
      revision${t}: flowRevision(id: "${e}") {
        engineId
        flowRevisionNumb
        flowRevisionId
        isHead
      }
    `).join("")}
  }`,{graphQLEndpoint:r,token:n}=s,t=yield baseGraphQLApi({query:t,operationName:e,graphEndpoint:r,token:n}),a=[];for(const i of Object.values(t.data)){var o={ids:[i.engineId]},o=yield readFlows({apiConfigs:s,offset:0,limit:1,additionalSelectors:o}),o=Object.assign(Object.assign({},o[0]),{flowRevisions:[i]});a.push(o)}return a})}var flows_query=Object.freeze({__proto__:null,readFlows:readFlows,readFlowsWithRevisions:readFlowsWithRevisions,readFlowsByRevisionIds:readFlowsByRevisionIds,readSelectedFlowsByRevisionIds:readSelectedFlowsByRevisionIds});const devLogger$1=e=>isEqual_1("production","development")&&console.log(e);function getFlowTemplates({apiConfigs:i,offset:s,limit:l,additionalSelectors:c}){var u;return __awaiter(this,void 0,void 0,function*(){const r=[{name:"limit",type:"Int",value:l},{name:"offset",type:"Int",value:s}];isEqual_1("production","development")&&console.log("Attempting to get flow templates"),c&&((c.filters||[]).forEach(e=>{switch(e.type){case EFlowTemplateFilterType.Name:case EFlowTemplateFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?r.push({name:"id",type:"ID!",value:t[0]}):r.push({name:"title",type:"String",value:e.values[0]})}}),Object.keys(c).forEach(e=>{c[e]}));var e=r.map(e=>`$${e.name}: `+e.type).join(" "),t=r.map(e=>e.name+": $"+e.name).join(" ");const n=r.reduce((e,t)=>(e[t.name]=t.value,e),{});var a="getFlowTemplates",e=`query ${a}  (${e}) {
    flowTemplates(${t}) {
        records {
          id
          title
          subtitle
          description
          flow
          package
          image
          tags
          author
          modified
          learnmorelink
          organizationId
          image
          logo
          categories
        }
      }
    }`,{token:t,graphQLEndpoint:o}=i,o=(devLogger$1("Making query to get flow templates"),yield gqlIntrospection.queryParser(o,t,e,!1)),t=(devLogger$1(o),(null==o?void 0:o.query)||e),e=(null!=(u=null==o?void 0:o.unsupportedArgs)&&u.forEach(e=>{delete n[e]}),devLogger$1("Introspection ran for flow templates"),devLogger$1("Making GQL request to get flow templates"),yield baseGraphQLApi(Object.assign(Object.assign({query:t,variables:n,operationName:a},i),{graphEndpoint:i.graphQLEndpoint})));return isEqual_1("production","development")&&0<(null==(u=null==e?void 0:e.errors)?void 0:u.length)&&console.warn(`Errors were returned for ${e.errors.length} flow templates`,e.errors),devLogger$1("Got flow templates: "+e.data.flowTemplates.records),e.data.flowTemplates.records})}function getFlowTemplatesByIds(r,n){return __awaiter(this,void 0,void 0,function*(){var e="getFlowTemplatesByIds",t=`query ${e} {
    ${n.map((e,t)=>`
      flowTemplate${t}: flowTemplates(id: "${e}") {
        records {
          id
          title
          subtitle
          description
          flow
          package
          image
          tags
          author
          modified
          learnmorelink
          organizationId
          image
          logo
          categories
        }
      }
    `).join("")}
    }`,t=yield baseGraphQLApi(Object.assign(Object.assign({query:t,operationName:e},r),{graphEndpoint:r.graphQLEndpoint}));return Object.values(t.data).reduce((e,t)=>(e.push(...t.records),e),[])})}var flowTemplates_query=Object.freeze({__proto__:null,getFlowTemplates:getFlowTemplates,getFlowTemplatesByIds:getFlowTemplatesByIds});const devLogger=e=>isEqual_1("production","development")&&console.log(e);function getDAGTemplates({apiConfigs:s,offset:l,limit:c,additionalSelectors:u}){var d;return __awaiter(this,void 0,void 0,function*(){const r=[{name:"limit",type:"Int",value:c},{name:"offset",type:"Int",value:l}];isEqual_1("production","development")&&console.log("Attempting to get dag templates"),u&&((u.filters||[]).forEach(e=>{switch(e.type){case EDagTemplateFilterType.Name:case EDagTemplateFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?r.push({name:"id",type:"[ID]",value:t}):r.push({name:"name",type:"String",value:e.values[0]})}}),Object.keys(u).forEach(e=>{}));var e=r.map(e=>`$${e.name}: `+e.type).join(", "),t=r.map(e=>e.name+": $"+e.name).join(", ");const n=r.reduce((e,t)=>(e[t.name]=t.value,e),{});var a="getDAGTemplates",e=`query ${a}  (${e}) {
    engineCategories(limit: 9999){
      count
      records {
        id
        name
      }
    }
    dagTemplates(${t}) {
        records {
          id
          name
          description
          cognitiveCategoryId
          mimeType
          dag
          dagTemplateLanguage
          targetOrganizationId
          tags
        }
      }
    }`,{token:t,graphQLEndpoint:o}=s,o=(devLogger("Making query to get dag templates"),yield introspection().queryParser(o,t,e,!1)),t=(devLogger(o),(null==o?void 0:o.query)||e);null!=(d=null==o?void 0:o.unsupportedArgs)&&d.forEach(e=>{delete n[e]}),devLogger("Introspection ran for dag templates"),devLogger("Making GQL request to get dag templates");const i=yield baseGraphQLApi(Object.assign(Object.assign({query:t,variables:n,operationName:a},s),{graphEndpoint:s.graphQLEndpoint}));return isEqual_1("production","development")&&0<(null==(d=null===i||void 0===i?void 0:i.errors)?void 0:d.length)&&console.warn(`Errors were returned for ${i.errors.length} dag templates`,i.errors),devLogger("Got dag templates: "+i.data.dagTemplates.records),i.data.dagTemplates.records.map(t=>{var e;return Object.assign(Object.assign({},t),{capability:(null==(e=i.data.engineCategories.records.find(e=>e.id===t.cognitiveCategoryId))?void 0:e.name)||""})})})}function getDAGTemplatesByIds(r,n){return __awaiter(this,void 0,void 0,function*(){var e="getDAGTemplatesByIds",t=`query ${e} {
    ${n.map((e,t)=>`
      dagTemplate${t}: dagTemplates(id: "${e}") {
        records {
          id
          title
          subtitle
          description
          dag
          package
          image
          tags
          author
          modified
          learnmorelink
          organizationId
          image
          logo
          categories
        }
      }
    `).join("")}
    }`,t=yield baseGraphQLApi(Object.assign(Object.assign({query:t,operationName:e},r),{graphEndpoint:r.graphQLEndpoint}));return Object.values(t.data).reduce((e,t)=>(e.push(...t.records),e),[])})}var dagTemplates_query=Object.freeze({__proto__:null,getDAGTemplates:getDAGTemplates,getDAGTemplatesByIds:getDAGTemplatesByIds});function getAutomatePalettes({apiConfigs:n,offset:a,limit:o}){var i;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=n,r="getAutomatePalettes",r=yield baseGraphQLApi({query:'\n      query getAutomatePalettes ($offset: Int, $limit: Int){\n        rootFolders(type:resource) {\n          id\n          childFolders(names: ["palettes"], nameMatch: exact) {\n            records {\n              childTDOs(limit: $limit, offset: $offset) {\n                records {\n                  id\n                  name\n                  description\n                  createdDateTime\n                  isPublic\n                  organization {\n                    id\n                    name\n                  }\n                  details\n                }\n              }\n            }\n          }\n        }\n      }\n    ',operationName:r,graphEndpoint:e,token:t,variables:{offset:a,limit:o}});if(r.errors)throw new Error("Could not get palettes");return(null==(i=null==(i=null==(i=null==(i=null==(i=null==(i=null==(i=r.data)?void 0:i.rootFolders)?void 0:i[0])?void 0:i.childFolders)?void 0:i.records)?void 0:i[0])?void 0:i.childTDOs)?void 0:i.records)||[]})}var automatePalettes_query=Object.freeze({__proto__:null,getAutomatePalettes:getAutomatePalettes});function getTdosByIds(n,a){return __awaiter(this,void 0,void 0,function*(){var e=`
        query getTdos {
            ${a.map((e,t)=>`
        tdo${t}: temporalDataObject(id: ${e}) {
          id
          name
          isPublic
          organization {
            id
            name
          }
          details
      }
        `).join("\r\n")}
        }
    `,t=n.graphQLEndpoint,r=n.token,e=yield baseGraphQLApi({query:e,operationName:"getTdos",graphEndpoint:t,token:r});return e.errors&&console.error("some tdos were not found",e.errors),Object.values(e.data)})}var tdos_query=Object.freeze({__proto__:null,getTdosByIds:getTdosByIds});function getNodes({apiConfigs:n,offset:a,limit:o}){var i;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=n,r="getAutomateNodes",r=yield baseGraphQLApi({query:'\n      query getAutomateNodes ($offset: Int, $limit: Int){\n        rootFolders(type: resource) {\n          id\n          typeId\n          childFolders(names: ["nodes"], nameMatch: exact){\n            records {\n              childTDOs(limit: $limit, offset: $offset) {\n                records{\n                  id\n                  details\n                  isPublic\n                  organizationId\n                }\n              }\n            }\n          }\n        }\n      }\n    ',operationName:r,graphEndpoint:e,token:t,variables:{offset:a,limit:o}});return(null==(i=r.data.rootFolders[0].childFolders.records[0].childTDOs.records)?void 0:i.filter(e=>!!e.details.automateNode))||[]})}var automateNodes_query=Object.freeze({__proto__:null,getNodes:getNodes});function getEngines({apiConfigs:u,offset:d,limit:p,additionalSelectors:g}){var $;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=u,r="getEngines";const n=[{name:"offset",type:"Int",value:d},{name:"limit",type:"Int",value:p}],a=[];g.searchValue&&a.push({name:"name",type:"[String]",value:g.searchValue}),null!=g&&g.filters&&Array.isArray(g.filters)&&({filters:c,defaultCategories:s}=g,c.findIndex(e=>e.type===EEngineFilterType.Capability)<0&&a.push({name:"category",type:"[String]",value:s}),c.forEach(e=>{switch(e.type){case EEngineFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?n.push({name:"ids",type:"[ID!]",value:t}):a.push({name:"name",type:"[String]",value:e.values[0]});break;case EEngineFilterType.Status:n.push({name:"state",type:"[EngineState]",value:e.values});break;case EEngineFilterType.Certified:a.push({name:"isCertified",type:"Boolean",value:e.values[0]===EEngineCertified.Certified});break;case EEngineFilterType.DeploymentModel:var t=e["values"],r=1<t.length;a.push({name:r?"deploymentModels":"deploymentModel",type:r?"DeploymentModels":"DeploymentModel",value:r?t:t[0]});break;case EEngineFilterType.Capability:a.push({name:"category",type:"[String]",value:e.values});break;case EEngineFilterType.Industry:n.push({name:"industries",type:"[String]",value:e.values})}}));let o=n.map(e=>`$${e.name}: `+e.type).join(", "),i=n.map(e=>e.name+": $"+e.name).join(", ");a.length&&(o+=", $filter: EngineFilter",i+=", filter: $filter");var s=`  query ${r} (${o}) {
    engines(${i}) {
      records {
          id
          name
          price
          entityTags {
              tagKey
              tagValue
          }
          ownerOrganization {
              name
              id
              imageUrl
          }
          signedIconPath
          signedLogoPath
          description
          displayName
          website
          category {
              name
              id
              iconClass
              type {
                  name
              }
          }
          industries
          state
          isPublic
          deploymentModel
          testingDetails {
              isCertified
          }
          builds(limit: 30, orderBy:{field: version, direction: desc}) {
            records {
              id
              name
              version
              description
              status
            }
          }
      }
    }
  }`;const l=n.reduce((e,t)=>(e[t.name]=t.value,e),{});a.length&&(l.filter=a.reduce((e,t)=>(e[t.name]=t.value,e),{}));var c=yield gqlIntrospection.queryParser(e,t,s),s=(null==c?void 0:c.query)||s,c=(null!=($=null==c?void 0:c.unsupportedArgs)&&$.forEach(e=>{console.warn("Removing unsupport argument for engines query",e),delete l[e]}),yield baseGraphQLApi({query:s,operationName:r,graphEndpoint:e,token:t,variables:l}));return(null==($=null==($=null==c?void 0:c.data)?void 0:$.engines)?void 0:$.records)||[]})}function getEnginesByIds(r,n){return __awaiter(this,void 0,void 0,function*(){var e="getEnginesByIds",t=`query ${e} {
    ${n.map((e,t)=>`
      engine${t}: engines(id: "${e}") {
        records {
          id
          name
          price
          entityTags {
              tagKey
              tagValue
          }
          ownerOrganization {
              name
              id
              imageUrl
          }
          signedIconPath
          signedLogoPath
          description
          displayName
          website
          category {
              name
              id
              iconClass
              type {
                  name
              }
          }
          industries
          state
          isPublic
          deploymentModel
          testingDetails {
              isCertified
          }
          builds(limit: 30, orderBy:{field: version, direction: desc}) {
            records {
              id
              name
              version
              description
              status
            }
          }
        }
      }
    `).join("")}
    }`,t=yield baseGraphQLApi(Object.assign(Object.assign({query:t,operationName:e},r),{graphEndpoint:r.graphQLEndpoint}));return Object.values(t.data).reduce((e,t)=>(e.push(...t.records),e),[])})}var engines_query=Object.freeze({__proto__:null,getEngines:getEngines,getEnginesByIds:getEnginesByIds});const APPLICATION_FIELDS=`
  id
  key
  name
  description
  category
  status
  isPublic
  details
  organizationId
  ownerOrganizationId
  signedIconSvg
  signedIconUrl
  validStateActions
  applicationConfig {
    records {
      applicationId
      configKey
      configType
      configLevel
      required
      description
      secured
      defaultValue
      defaultValueJSON
    }
  }
  entityTags {
    tagKey
    tagValue
  }
`;function getApplications({apiConfigs:u,offset:d,limit:p,additionalSelectors:g}){var $;return __awaiter(this,void 0,void 0,function*(){var{graphQLEndpoint:e,token:t}=u,r="getApplications",n=g.applicationFilters;const a=[{name:"offset",type:"Int",value:d},{name:"limit",type:"Int",value:p},{name:"accessScope",type:"[AccessScope!]",value:["owned","granted"]},{name:"orderBy",type:"[ApplicationSortField]",value:[{field:"name",direction:"asc"}]}],o=[];g.searchValue&&o.push({name:"name",type:"[String]",value:g.searchValue}),n.forEach(e=>{switch(e.type){case EApplicationFilterType.Name:case EApplicationFilterType.NameOrId:var t=getValidIdsFromText(e.values[0]);0<t.length?a.push({name:"id",type:"ID",value:t[0]}):o.push({name:"name",type:"[String]",value:e.values[0]});break;case EApplicationFilterType.Status:o.push({name:"status",type:"ApplicationStatus",value:e.values[0]})}});let i=a.map(e=>`$${e.name}: `+e.type).join(", "),s=a.map(e=>e.name+": $"+e.name).join(", ");o.length&&(i+=", $filter: ApplicationFilter",s+=", filter: $filter");var n=`
    query ${r} (${i}){
      applications(${s}) {
        records {
          ${APPLICATION_FIELDS}
        }
      }
    }`,l=a.reduce((e,t)=>(e[t.name]=t.value,e),{});o.length&&(l.filter=o.reduce((e,t)=>(e[t.name]=t.value,e),{}));var c=yield introspection().queryParser(e,t,n),c=null!=($=null==c?void 0:c.query)?$:n,n=yield baseGraphQLApi({query:c,operationName:r,graphEndpoint:e,token:t,variables:l});return(null==($=null==($=null==n?void 0:n.data)?void 0:$.applications)?void 0:$.records)||[]})}function getApplicationsByIds(s,l){return __awaiter(this,void 0,void 0,function*(){var e=`
    query getApplicationsById {
      ${l.map((e,t)=>{return`
      app${t}:applications(id: "${e}") {
        records {
          ${APPLICATION_FIELDS}
        }
      }
    `}).join("\r\n")}
    }
  `,t=s.graphQLEndpoint,r=s.token,e=yield baseGraphQLApi({query:e,operationName:"getApplicationsById",graphEndpoint:t,token:r});e.errors&&console.error("some applications were not found",e.errors);{var n=e.data;const o=[];for(const i in n){var a=n[i].records;Array.isArray(a)&&a.forEach(e=>{o.push(e)})}return o}})}var applications_query=Object.freeze({__proto__:null,APPLICATION_FIELDS:APPLICATION_FIELDS,getApplications:getApplications,getApplicationsByIds:getApplicationsByIds});function getEngineBuilds({apiConfigs:t,offset:r,limit:a,additionalSelectors:o}){return __awaiter(this,void 0,void 0,function*(){o.filters=[{type:EEngineFilterType.Status,values:"active"}];var e=yield getEngines({apiConfigs:t,offset:r,limit:a,additionalSelectors:o});const n=[];return e.forEach(r=>{var e;null!=(e=null==(e=r.builds)?void 0:e.records)&&e.forEach(e=>{var t;e.organizationId=null==(t=null==r?void 0:r.ownerOrganization)?void 0:t.id,e.icon=(null==r?void 0:r.signedIconPath)||"",n.push(e)})}),n})}function getEngineBuildsByIds(n,a){return __awaiter(this,void 0,void 0,function*(){var e=`
        query getEngineBuilds {
            ${a.map((e,t)=>`
        engineBuild${t}: engineBuild(id: "${e}") {
          id
          name
          version
      }
        `).join("\r\n")}
        }
    `,t=n.graphQLEndpoint,r=n.token,e=yield baseGraphQLApi({query:e,operationName:"getEngineBuilds",graphEndpoint:t,token:r});return e.errors&&console.error("some builds were not found",e.errors),Object.values(e.data)})}var engineBuilds_query=Object.freeze({__proto__:null,getEngineBuilds:getEngineBuilds,getEngineBuildsByIds:getEngineBuildsByIds}),index$1=Object.freeze({__proto__:null,packages:packages_query,schemas:schemas_query,flows:flows_query,flowTemplates:flowTemplates_query,dagTemplates:dagTemplates_query,automatePalettes:automatePalettes_query,tdos:tdos_query,nodes:automateNodes_query,engines:engines_query,applications:applications_query,engineBuilds:engineBuilds_query,getValidIdsFromText:getValidIdsFromText});const defaultNamespace$a="packages",generatePackagesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$a,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getPackages,pageSize:500,getAdditionalSelectors:()=>t||{}}});var packages_redux=Object.freeze({__proto__:null,generatePackagesRedux:generatePackagesRedux});const defaultNamespace$9="schemas",generateSchemasRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$9,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getSchemas,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var schemas_redux=Object.freeze({__proto__:null,generateSchemasRedux:generateSchemasRedux});const defaultNamespace$8="flows",generateFlowsRedux=({sliceName:e,additionalSelectors:t,namespace:r,includeRevisions:n})=>generateState({sliceName:e,namespace:r||defaultNamespace$8,dedupeResponse:!n,dedupeIdProp:"id",apiCalls:{read:n?readFlowsWithRevisions:readFlows,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var flows_redux=Object.freeze({__proto__:null,generateFlowsRedux:generateFlowsRedux});const defaultNamespace$7="flowTemplates",generateFlowTemplatesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$7,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getFlowTemplates,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var flowTemplates_redux=Object.freeze({__proto__:null,generateFlowTemplatesRedux:generateFlowTemplatesRedux});const defaultNamespace$6="dagTemplates",generateDAGTemplatesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$6,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getDAGTemplates,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var dagTemplates_redux=Object.freeze({__proto__:null,generateDAGTemplatesRedux:generateDAGTemplatesRedux});const defaultNamespace$5="automatePalettes",generateAutomatePalettesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$5,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getAutomatePalettes,pageSize:30,getAdditionalSelectors:()=>t||{}}});var automatePalettes_redux=Object.freeze({__proto__:null,generateAutomatePalettesRedux:generateAutomatePalettesRedux});const defaultNamespace$4="nodes",generateNodesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$4,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getNodes,pageSize:500,getAdditionalSelectors:()=>t||{}}});var nodes_redux=Object.freeze({__proto__:null,generateNodesRedux:generateNodesRedux});const defaultNamespace$3="engines",generateEnginesRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$3,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getEngines,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var engines_redux=Object.freeze({__proto__:null,generateEnginesRedux:generateEnginesRedux});const defaultNamespace$2="adapters",generateAdaptersRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$2,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getEngines,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var adapters_redux=Object.freeze({__proto__:null,generateAdaptersRedux:generateAdaptersRedux});const defaultNamespace$1="applications",generateApplicationsRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace$1,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getApplications,pageSize:DEFAULT_PAGE_SIZE,getAdditionalSelectors:()=>t||{}}});var applications_redux=Object.freeze({__proto__:null,generateApplicationsRedux:generateApplicationsRedux});const defaultNamespace="engineBuilds",generateEngineBuildsRedux=({sliceName:e,additionalSelectors:t,namespace:r})=>generateState({sliceName:e,namespace:r||defaultNamespace,dedupeResponse:!0,dedupeIdProp:"id",apiCalls:{read:getEngineBuilds,pageSize:30,getAdditionalSelectors:()=>t||{}}});var engineBuilds_redux=Object.freeze({__proto__:null,generateEngineBuildsRedux:generateEngineBuildsRedux}),index=Object.freeze({__proto__:null,packages:packages_redux,schemas:schemas_redux,flows:flows_redux,flowTemplates:flowTemplates_redux,dagTemplates:dagTemplates_redux,automatePalettes:automatePalettes_redux,nodes:nodes_redux,engines:engines_redux,adapters:adapters_redux,applications:applications_redux,engineBuilds:engineBuilds_redux});export{APPLICATIONS_MUTATE_ACTIONS as A,DEFAULT_PAGE_SIZE as D,EEngineStateAction as E,SimpleFilter as S,EEngineState as a,EResourceTypeValue as b,EApplicationStatus as c,index as d,ESchemaStatus as e,EDagTemplateFilterType as f,EFlowTemplateFilterType as g,EEngineFilterType as h,index$1 as i,EApplicationFilterType as j,EEngineType as k,EDeploymentModel as l,EEngineCertified as m,EEngineDistributionType as n};
