import{c as generateUtilityClass,g as generateUtilityClasses,bw as keyframes,s as styled,l as capitalize,_ as _extends,cV as css,r as react,d as useThemeProps,e as _objectWithoutPropertiesLoose,j as jsxRuntime,f as clsx,h as composeClasses,m as lighten,n as darken}from"./js-core.esm.js";import{e as useTheme}from"./js-core.esm4.js";function getLinearProgressUtilityClass(e){return generateUtilityClass("MuiLinearProgress",e)}generateUtilityClasses("MuiLinearProgress",["root","colorPrimary","colorSecondary","determinate","indeterminate","buffer","query","dashed","dashedColorPrimary","dashedColorSecondary","bar","barColorPrimary","barColorSecondary","bar1Indeterminate","bar1Determinate","bar1Buffer","bar2Indeterminate","bar2Buffer"]);const _excluded=["className","color","value","valueBuffer","variant"];let _=e=>e,_t,_t2,_t3,_t4,_t5,_t6;const TRANSITION_DURATION=4,indeterminate1Keyframe=keyframes(_t=_t||_`
  0% {
    left: -35%;
    right: 100%;
  }

  60% {
    left: 100%;
    right: -90%;
  }

  100% {
    left: 100%;
    right: -90%;
  }
`),indeterminate2Keyframe=keyframes(_t2=_t2||_`
  0% {
    left: -200%;
    right: 100%;
  }

  60% {
    left: 107%;
    right: -8%;
  }

  100% {
    left: 107%;
    right: -8%;
  }
`),bufferKeyframe=keyframes(_t3=_t3||_`
  0% {
    opacity: 1;
    background-position: 0 -23px;
  }

  60% {
    opacity: 0;
    background-position: 0 -23px;
  }

  100% {
    opacity: 1;
    background-position: -200px -23px;
  }
`),useUtilityClasses=e=>{var{classes:e,variant:r,color:a}=e,a={root:["root","color"+capitalize(a),r],dashed:["dashed","dashedColor"+capitalize(a)],bar1:["bar","barColor"+capitalize(a),("indeterminate"===r||"query"===r)&&"bar1Indeterminate","determinate"===r&&"bar1Determinate","buffer"===r&&"bar1Buffer"],bar2:["bar","buffer"!==r&&"barColor"+capitalize(a),"buffer"===r&&"color"+capitalize(a),("indeterminate"===r||"query"===r)&&"bar2Indeterminate","buffer"===r&&"bar2Buffer"]};return composeClasses(a,getLinearProgressUtilityClass,e)},getColorShade=(e,r)=>"inherit"===r?"currentColor":e.vars?e.vars.palette.LinearProgress[r+"Bg"]:"light"===e.palette.mode?lighten(e.palette[r].main,.62):darken(e.palette[r].main,.5),LinearProgressRoot=styled("span",{name:"MuiLinearProgress",slot:"Root",overridesResolver:(e,r)=>{e=e.ownerState;return[r.root,r["color"+capitalize(e.color)],r[e.variant]]}})(({ownerState:e,theme:r})=>_extends({position:"relative",overflow:"hidden",display:"block",height:4,zIndex:0,"@media print":{colorAdjust:"exact"},backgroundColor:getColorShade(r,e.color)},"inherit"===e.color&&"buffer"!==e.variant&&{backgroundColor:"none","&::before":{content:'""',position:"absolute",left:0,top:0,right:0,bottom:0,backgroundColor:"currentColor",opacity:.3}},"buffer"===e.variant&&{backgroundColor:"transparent"},"query"===e.variant&&{transform:"rotate(180deg)"})),LinearProgressDashed=styled("span",{name:"MuiLinearProgress",slot:"Dashed",overridesResolver:(e,r)=>{e=e.ownerState;return[r.dashed,r["dashedColor"+capitalize(e.color)]]}})(({ownerState:e,theme:r})=>{r=getColorShade(r,e.color);return _extends({position:"absolute",marginTop:0,height:"100%",width:"100%"},"inherit"===e.color&&{opacity:.3},{backgroundImage:`radial-gradient(${r} 0%, ${r} 16%, transparent 42%)`,backgroundSize:"10px 10px",backgroundPosition:"0 -23px"})},css(_t4=_t4||_`
    animation: ${0} 3s infinite linear;
  `,bufferKeyframe)),LinearProgressBar1=styled("span",{name:"MuiLinearProgress",slot:"Bar1",overridesResolver:(e,r)=>{e=e.ownerState;return[r.bar,r["barColor"+capitalize(e.color)],("indeterminate"===e.variant||"query"===e.variant)&&r.bar1Indeterminate,"determinate"===e.variant&&r.bar1Determinate,"buffer"===e.variant&&r.bar1Buffer]}})(({ownerState:e,theme:r})=>_extends({width:"100%",position:"absolute",left:0,bottom:0,top:0,transition:"transform 0.2s linear",transformOrigin:"left",backgroundColor:"inherit"===e.color?"currentColor":(r.vars||r).palette[e.color].main},"determinate"===e.variant&&{transition:`transform .${TRANSITION_DURATION}s linear`},"buffer"===e.variant&&{zIndex:1,transition:`transform .${TRANSITION_DURATION}s linear`}),({ownerState:e})=>("indeterminate"===e.variant||"query"===e.variant)&&css(_t5=_t5||_`
      width: auto;
      animation: ${0} 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
    `,indeterminate1Keyframe)),LinearProgressBar2=styled("span",{name:"MuiLinearProgress",slot:"Bar2",overridesResolver:(e,r)=>{e=e.ownerState;return[r.bar,r["barColor"+capitalize(e.color)],("indeterminate"===e.variant||"query"===e.variant)&&r.bar2Indeterminate,"buffer"===e.variant&&r.bar2Buffer]}})(({ownerState:e,theme:r})=>_extends({width:"100%",position:"absolute",left:0,bottom:0,top:0,transition:"transform 0.2s linear",transformOrigin:"left"},"buffer"!==e.variant&&{backgroundColor:"inherit"===e.color?"currentColor":(r.vars||r).palette[e.color].main},"inherit"===e.color&&{opacity:.3},"buffer"===e.variant&&{backgroundColor:getColorShade(r,e.color),transition:`transform .${TRANSITION_DURATION}s linear`}),({ownerState:e})=>("indeterminate"===e.variant||"query"===e.variant)&&css(_t6=_t6||_`
      width: auto;
      animation: ${0} 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) 1.15s infinite;
    `,indeterminate2Keyframe)),LinearProgress=react.exports.forwardRef(function(e,r){var e=useThemeProps({props:e,name:"MuiLinearProgress"}),{className:a,color:t="primary",value:o,valueBuffer:i,variant:n="indeterminate"}=e,s=_objectWithoutPropertiesLoose(e,_excluded),e=_extends({},e,{color:t,variant:n}),t=useUtilityClasses(e),l=useTheme(),d={},u={bar1:{},bar2:{}};if(("determinate"===n||"buffer"===n)&&void 0!==o){d["aria-valuenow"]=Math.round(o),d["aria-valuemin"]=0;let e=o-(d["aria-valuemax"]=100);"rtl"===l.direction&&(e=-e),u.bar1.transform=`translateX(${e}%)`}if("buffer"===n&&void 0!==i){let e=(i||0)-100;"rtl"===l.direction&&(e=-e),u.bar2.transform=`translateX(${e}%)`}return jsxRuntime.exports.jsxs(LinearProgressRoot,_extends({className:clsx(t.root,a),ownerState:e,role:"progressbar"},d,{ref:r},s,{children:["buffer"===n?jsxRuntime.exports.jsx(LinearProgressDashed,{className:t.dashed,ownerState:e}):null,jsxRuntime.exports.jsx(LinearProgressBar1,{className:t.bar1,ownerState:e,style:u.bar1}),"determinate"===n?null:jsxRuntime.exports.jsx(LinearProgressBar2,{className:t.bar2,ownerState:e,style:u.bar2})]}))});var LinearProgress$1=LinearProgress;export{LinearProgress$1 as L};
